# OpenAPIPetstore.Model

openapi-petstore-0.1.0.0: Auto-generated openapi-petstore API Client

Safe Haskell | None
Language | Haskell2010

OpenAPIPetstore.Model

Contents

- Parameter newtypes
  - AdditionalMetadata
  - ApiKey
  - Body
  - BodyBool
  - BodyDouble
  - BodyText
  - BooleanGroup
  - Byte
  - Callback
  - Context
  - EnumFormString
  - EnumFormStringArray
  - EnumHeaderString
  - EnumHeaderStringArray
  - EnumQueryDouble
  - EnumQueryInteger
  - EnumQueryString
  - EnumQueryStringArray
  - File2
  - Http
  - Int32
  - Int64
  - Int64Group
  - Ioutil
  - Name2
  - Number
  - OrderId
  - OrderIdText
  - Param
  - Param2
  - ParamBinary
  - ParamDate
  - ParamDateTime
  - ParamDouble
  - ParamFloat
  - ParamInteger
  - ParamMapMapStringText
  - ParamString
  - Password
  - PatternWithoutDelimiter
  - PetId
  - Pipe
  - Query
  - RequiredBooleanGroup
  - RequiredFile
  - RequiredInt64Group
  - RequiredStringGroup
  - Status
  - StatusText
  - StringGroup
  - Tags
  - Url
  - Username
- Models
  - AdditionalPropertiesAnyType
  - AdditionalPropertiesArray
  - AdditionalPropertiesBoolean
  - AdditionalPropertiesClass
  - AdditionalPropertiesInteger
  - AdditionalPropertiesNumber
  - AdditionalPropertiesObject
  - AdditionalPropertiesString
  - Animal
  - ApiResponse
  - ArrayOfArrayOfNumberOnly
  - ArrayOfNumberOnly
  - ArrayTest
  - BigCat
  - BigCatAllOf
  - Capitalization
  - Cat
  - CatAllOf
  - Category
  - ClassModel
  - Client
  - Dog
  - DogAllOf
  - EnumArrays
  - EnumTest
  - File
  - FileSchemaTestClass
  - FormatTest
  - HasOnlyReadOnly
  - MapTest
  - MixedPropertiesAndAdditionalPropertiesClass
  - Model200Response
  - ModelList
  - ModelReturn
  - Name
  - NumberOnly
  - Order
  - OuterComposite
  - Pet
  - ReadOnlyFirst
  - SpecialModelName
  - Tag
  - TypeHolderDefault
  - TypeHolderExample
  - User
  - XmlItem
- Enums
  - E'ArrayEnum
  - E'EnumFormString
  - E'EnumFormStringArray
  - E'EnumInteger
  - E'EnumNumber
  - E'EnumQueryInteger
  - E'EnumString
  - E'Inner
  - E'JustSymbol
  - E'Kind
  - E'Status
  - E'Status2
  - EnumClass
  - OuterEnum
- Auth Methods
  - AuthApiKeyApiKey
  - AuthApiKeyApiKeyQuery
  - AuthBasicHttpBasicTest
  - AuthOAuthPetstoreAuth

Description

Synopsis

- newtype AdditionalMetadata = AdditionalMetadata {
  - unAdditionalMetadata :: Text
  }
- newtype ApiKey = ApiKey {
  - unApiKey :: Text
  }
- newtype Body = Body {
  - unBody :: [User]
  }
- newtype BodyBool = BodyBool {
  - unBodyBool :: Bool
  }
- newtype BodyDouble = BodyDouble {
  - unBodyDouble :: Double
  }
- newtype BodyText = BodyText {
  - unBodyText :: Text
  }
- newtype BooleanGroup = BooleanGroup {
  - unBooleanGroup :: Bool
  }
- newtype Byte = Byte {
  - unByte :: ByteArray
  }
- newtype Callback = Callback {
  - unCallback :: Text
  }
- newtype Context = Context {
  - unContext :: [Text]
  }
- newtype EnumFormString = EnumFormString {
  - unEnumFormString :: E'EnumFormString
  }
- newtype EnumFormStringArray = EnumFormStringArray {
  - unEnumFormStringArray :: [E'EnumFormStringArray]
  }
- newtype EnumHeaderString = EnumHeaderString {
  - unEnumHeaderString :: E'EnumFormString
  }
- newtype EnumHeaderStringArray = EnumHeaderStringArray {
  - unEnumHeaderStringArray :: [E'EnumFormStringArray]
  }
- newtype EnumQueryDouble = EnumQueryDouble {
  - unEnumQueryDouble :: E'EnumNumber
  }
- newtype EnumQueryInteger = EnumQueryInteger {
  - unEnumQueryInteger :: E'EnumQueryInteger
  }
- newtype EnumQueryString = EnumQueryString {
  - unEnumQueryString :: E'EnumFormString
  }
- newtype EnumQueryStringArray = EnumQueryStringArray {
  - unEnumQueryStringArray :: [E'EnumFormStringArray]
  }
- newtype File2 = File2 {
  - unFile2 :: FilePath
  }
- newtype Http = Http {
  - unHttp :: [Text]
  }
- newtype Int32 = Int32 {
  - unInt32 :: Int
  }
- newtype Int64 = Int64 {
  - unInt64 :: Integer
  }
- newtype Int64Group = Int64Group {
  - unInt64Group :: Integer
  }
- newtype Ioutil = Ioutil {
  - unIoutil :: [Text]
  }
- newtype Name2 = Name2 {
  - unName2 :: Text
  }
- newtype Number = Number {
  - unNumber :: Double
  }
- newtype OrderId = OrderId {
  - unOrderId :: Integer
  }
- newtype OrderIdText = OrderIdText {
  - unOrderIdText :: Text
  }
- newtype Param = Param {
  - unParam :: Text
  }
- newtype Param2 = Param2 {
  - unParam2 :: Text
  }
- newtype ParamBinary = ParamBinary {
  - unParamBinary :: FilePath
  }
- newtype ParamDate = ParamDate {
  - unParamDate :: Date
  }
- newtype ParamDateTime = ParamDateTime {
  - unParamDateTime :: DateTime
  }
- newtype ParamDouble = ParamDouble {
  - unParamDouble :: Double
  }
- newtype ParamFloat = ParamFloat {
  - unParamFloat :: Float
  }
- newtype ParamInteger = ParamInteger {
  - unParamInteger :: Int
  }
- newtype ParamMapMapStringText = ParamMapMapStringText {
  - unParamMapMapStringText :: Map String Text
  }
- newtype ParamString = ParamString {
  - unParamString :: Text
  }
- newtype Password = Password {
  - unPassword :: Text
  }
- newtype PatternWithoutDelimiter = PatternWithoutDelimiter {
  - unPatternWithoutDelimiter :: Text
  }
- newtype PetId = PetId {
  - unPetId :: Integer
  }
- newtype Pipe = Pipe {
  - unPipe :: [Text]
  }
- newtype Query = Query {
  - unQuery :: Text
  }
- newtype RequiredBooleanGroup = RequiredBooleanGroup {
  - unRequiredBooleanGroup :: Bool
  }
- newtype RequiredFile = RequiredFile {
  - unRequiredFile :: FilePath
  }
- newtype RequiredInt64Group = RequiredInt64Group {
  - unRequiredInt64Group :: Integer
  }
- newtype RequiredStringGroup = RequiredStringGroup {
  - unRequiredStringGroup :: Int
  }
- newtype Status = Status {
  - unStatus :: [E'Status2]
  }
- newtype StatusText = StatusText {
  - unStatusText :: Text
  }
- newtype StringGroup = StringGroup {
  - unStringGroup :: Int
  }
- newtype Tags = Tags {
  - unTags :: [Text]
  }
- newtype Url = Url {
  - unUrl :: [Text]
  }
- newtype Username = Username {
  - unUsername :: Text
  }
- data AdditionalPropertiesAnyType = AdditionalPropertiesAnyType {
  - additionalPropertiesAnyTypeName :: !(Maybe Text)
  }
- mkAdditionalPropertiesAnyType :: AdditionalPropertiesAnyType
- data AdditionalPropertiesArray = AdditionalPropertiesArray {
  - additionalPropertiesArrayName :: !(Maybe Text)
  }
- mkAdditionalPropertiesArray :: AdditionalPropertiesArray
- data AdditionalPropertiesBoolean = AdditionalPropertiesBoolean {
  - additionalPropertiesBooleanName :: !(Maybe Text)
  }
- mkAdditionalPropertiesBoolean :: AdditionalPropertiesBoolean
- data AdditionalPropertiesClass = AdditionalPropertiesClass {
  - additionalPropertiesClassMapString :: !(Maybe (Map String Text))
  - additionalPropertiesClassMapNumber :: !(Maybe (Map String Double))
  - additionalPropertiesClassMapInteger :: !(Maybe (Map String Int))
  - additionalPropertiesClassMapBoolean :: !(Maybe (Map String Bool))
  - additionalPropertiesClassMapArrayInteger :: !(Maybe (Map String [Int]))
  - additionalPropertiesClassMapArrayAnytype :: !(Maybe (Map String [Value]))
  - additionalPropertiesClassMapMapString :: !(Maybe (Map String (Map String Text)))
  - additionalPropertiesClassMapMapAnytype :: !(Maybe (Map String (Map String Value)))
  - additionalPropertiesClassAnytype1 :: !(Maybe Value)
  - additionalPropertiesClassAnytype2 :: !(Maybe Value)
  - additionalPropertiesClassAnytype3 :: !(Maybe Value)
  }
- mkAdditionalPropertiesClass :: AdditionalPropertiesClass
- data AdditionalPropertiesInteger = AdditionalPropertiesInteger {
  - additionalPropertiesIntegerName :: !(Maybe Text)
  }
- mkAdditionalPropertiesInteger :: AdditionalPropertiesInteger
- data AdditionalPropertiesNumber = AdditionalPropertiesNumber {
  - additionalPropertiesNumberName :: !(Maybe Text)
  }
- mkAdditionalPropertiesNumber :: AdditionalPropertiesNumber
- data AdditionalPropertiesObject = AdditionalPropertiesObject {
  - additionalPropertiesObjectName :: !(Maybe Text)
  }
- mkAdditionalPropertiesObject :: AdditionalPropertiesObject
- data AdditionalPropertiesString = AdditionalPropertiesString {
  - additionalPropertiesStringName :: !(Maybe Text)
  }
- mkAdditionalPropertiesString :: AdditionalPropertiesString
- data Animal = Animal {
  - animalClassName :: !Text
  - animalColor :: !(Maybe Text)
  }
- mkAnimal :: Text -> Animal
- data ApiResponse = ApiResponse {
  - apiResponseCode :: !(Maybe Int)
  - apiResponseType :: !(Maybe Text)
  - apiResponseMessage :: !(Maybe Text)
  }
- mkApiResponse :: ApiResponse
- data ArrayOfArrayOfNumberOnly = ArrayOfArrayOfNumberOnly {
  - arrayOfArrayOfNumberOnlyArrayArrayNumber :: !(Maybe [[Double]])
  }
- mkArrayOfArrayOfNumberOnly :: ArrayOfArrayOfNumberOnly
- data ArrayOfNumberOnly = ArrayOfNumberOnly {
  - arrayOfNumberOnlyArrayNumber :: !(Maybe [Double])
  }
- mkArrayOfNumberOnly :: ArrayOfNumberOnly
- data ArrayTest = ArrayTest {
  - arrayTestArrayOfString :: !(Maybe [Text])
  - arrayTestArrayArrayOfInteger :: !(Maybe [[Integer]])
  - arrayTestArrayArrayOfModel :: !(Maybe [[ReadOnlyFirst]])
  }
- mkArrayTest :: ArrayTest
- data BigCat = BigCat {
  - bigCatClassName :: !Text
  - bigCatColor :: !(Maybe Text)
  - bigCatDeclawed :: !(Maybe Bool)
  - bigCatKind :: !(Maybe E'Kind)
  }
- mkBigCat :: Text -> BigCat
- data BigCatAllOf = BigCatAllOf {
  - bigCatAllOfKind :: !(Maybe E'Kind)
  }
- mkBigCatAllOf :: BigCatAllOf
- data Capitalization = Capitalization {
  - capitalizationSmallCamel :: !(Maybe Text)
  - capitalizationCapitalCamel :: !(Maybe Text)
  - capitalizationSmallSnake :: !(Maybe Text)
  - capitalizationCapitalSnake :: !(Maybe Text)
  - capitalizationScaEthFlowPoints :: !(Maybe Text)
  - capitalizationAttName :: !(Maybe Text)
  }
- mkCapitalization :: Capitalization
- data Cat = Cat {
  - catClassName :: !Text
  - catColor :: !(Maybe Text)
  - catDeclawed :: !(Maybe Bool)
  }
- mkCat :: Text -> Cat
- data CatAllOf = CatAllOf {
  - catAllOfDeclawed :: !(Maybe Bool)
  }
- mkCatAllOf :: CatAllOf
- data Category = Category {
  - categoryId :: !(Maybe Integer)
  - categoryName :: !Text
  }
- mkCategory :: Text -> Category
- data ClassModel = ClassModel {
  - classModelClass :: !(Maybe Text)
  }
- mkClassModel :: ClassModel
- data Client = Client {
  - clientClient :: !(Maybe Text)
  }
- mkClient :: Client
- data Dog = Dog {
  - dogClassName :: !Text
  - dogColor :: !(Maybe Text)
  - dogBreed :: !(Maybe Text)
  }
- mkDog :: Text -> Dog
- data DogAllOf = DogAllOf {
  - dogAllOfBreed :: !(Maybe Text)
  }
- mkDogAllOf :: DogAllOf
- data EnumArrays = EnumArrays {
  - enumArraysJustSymbol :: !(Maybe E'JustSymbol)
  - enumArraysArrayEnum :: !(Maybe [E'ArrayEnum])
  }
- mkEnumArrays :: EnumArrays
- data EnumTest = EnumTest {
  - enumTestEnumString :: !(Maybe E'EnumString)
  - enumTestEnumStringRequired :: !E'EnumString
  - enumTestEnumInteger :: !(Maybe E'EnumInteger)
  - enumTestEnumNumber :: !(Maybe E'EnumNumber)
  - enumTestOuterEnum :: !(Maybe OuterEnum)
  }
- mkEnumTest :: E'EnumString -> EnumTest
- data File = File {
  - fileSourceUri :: !(Maybe Text)
  }
- mkFile :: File
- data FileSchemaTestClass = FileSchemaTestClass {
  - fileSchemaTestClassFile :: !(Maybe File)
  - fileSchemaTestClassFiles :: !(Maybe [File])
  }
- mkFileSchemaTestClass :: FileSchemaTestClass
- data FormatTest = FormatTest {
  - formatTestInteger :: !(Maybe Int)
  - formatTestInt32 :: !(Maybe Int)
  - formatTestInt64 :: !(Maybe Integer)
  - formatTestNumber :: !Double
  - formatTestFloat :: !(Maybe Float)
  - formatTestDouble :: !(Maybe Double)
  - formatTestString :: !(Maybe Text)
  - formatTestByte :: !ByteArray
  - formatTestBinary :: !(Maybe FilePath)
  - formatTestDate :: !Date
  - formatTestDateTime :: !(Maybe DateTime)
  - formatTestUuid :: !(Maybe Text)
  - formatTestPassword :: !Text
  - formatTestBigDecimal :: !(Maybe Double)
  }
- mkFormatTest :: Double -> ByteArray -> Date -> Text -> FormatTest
- data HasOnlyReadOnly = HasOnlyReadOnly {
  - hasOnlyReadOnlyBar :: !(Maybe Text)
  - hasOnlyReadOnlyFoo :: !(Maybe Text)
  }
- mkHasOnlyReadOnly :: HasOnlyReadOnly
- data MapTest = MapTest {
  - mapTestMapMapOfString :: !(Maybe (Map String (Map String Text)))
  - mapTestMapOfEnumString :: !(Maybe (Map String E'Inner))
  - mapTestDirectMap :: !(Maybe (Map String Bool))
  - mapTestIndirectMap :: !(Maybe (Map String Bool))
  }
- mkMapTest :: MapTest
- data MixedPropertiesAndAdditionalPropertiesClass = MixedPropertiesAndAdditionalPropertiesClass {
  - mixedPropertiesAndAdditionalPropertiesClassUuid :: !(Maybe Text)
  - mixedPropertiesAndAdditionalPropertiesClassDateTime :: !(Maybe DateTime)
  - mixedPropertiesAndAdditionalPropertiesClassMap :: !(Maybe (Map String Animal))
  }
- mkMixedPropertiesAndAdditionalPropertiesClass :: MixedPropertiesAndAdditionalPropertiesClass
- data Model200Response = Model200Response {
  - model200ResponseName :: !(Maybe Int)
  - model200ResponseClass :: !(Maybe Text)
  }
- mkModel200Response :: Model200Response
- data ModelList = ModelList {
  - modelList123list :: !(Maybe Text)
  }
- mkModelList :: ModelList
- data ModelReturn = ModelReturn {
  - modelReturnReturn :: !(Maybe Int)
  }
- mkModelReturn :: ModelReturn
- data Name = Name {
  - nameName :: !Int
  - nameSnakeCase :: !(Maybe Int)
  - nameProperty :: !(Maybe Text)
  - name123number :: !(Maybe Int)
  }
- mkName :: Int -> Name
- data NumberOnly = NumberOnly {
  - numberOnlyJustNumber :: !(Maybe Double)
  }
- mkNumberOnly :: NumberOnly
- data Order = Order {
  - orderId :: !(Maybe Integer)
  - orderPetId :: !(Maybe Integer)
  - orderQuantity :: !(Maybe Int)
  - orderShipDate :: !(Maybe DateTime)
  - orderStatus :: !(Maybe E'Status)
  - orderComplete :: !(Maybe Bool)
  }
- mkOrder :: Order
- data OuterComposite = OuterComposite {
  - outerCompositeMyNumber :: !(Maybe Double)
  - outerCompositeMyString :: !(Maybe Text)
  - outerCompositeMyBoolean :: !(Maybe Bool)
  }
- mkOuterComposite :: OuterComposite
- data Pet = Pet {
  - petId :: !(Maybe Integer)
  - petCategory :: !(Maybe Category)
  - petName :: !Text
  - petPhotoUrls :: ![Text]
  - petTags :: !(Maybe [Tag])
  - petStatus :: !(Maybe E'Status2)
  }
- mkPet :: Text -> [Text] -> Pet
- data ReadOnlyFirst = ReadOnlyFirst {
  - readOnlyFirstBar :: !(Maybe Text)
  - readOnlyFirstBaz :: !(Maybe Text)
  }
- mkReadOnlyFirst :: ReadOnlyFirst
- data SpecialModelName = SpecialModelName {
  - specialModelNameSpecialPropertyName :: !(Maybe Integer)
  }
- mkSpecialModelName :: SpecialModelName
- data Tag = Tag {
  - tagId :: !(Maybe Integer)
  - tagName :: !(Maybe Text)
  }
- mkTag :: Tag
- data TypeHolderDefault = TypeHolderDefault {
  - typeHolderDefaultStringItem :: !Text
  - typeHolderDefaultNumberItem :: !Double
  - typeHolderDefaultIntegerItem :: !Int
  - typeHolderDefaultBoolItem :: !Bool
  - typeHolderDefaultArrayItem :: ![Int]
  }
- mkTypeHolderDefault :: Text -> Double -> Int -> Bool -> [Int] -> TypeHolderDefault
- data TypeHolderExample = TypeHolderExample {
  - typeHolderExampleStringItem :: !Text
  - typeHolderExampleNumberItem :: !Double
  - typeHolderExampleFloatItem :: !Float
  - typeHolderExampleIntegerItem :: !Int
  - typeHolderExampleBoolItem :: !Bool
  - typeHolderExampleArrayItem :: ![Int]
  }
- mkTypeHolderExample :: Text -> Double -> Float -> Int -> Bool -> [Int] -> TypeHolderExample
- data User = User {
  - userId :: !(Maybe Integer)
  - userUsername :: !(Maybe Text)
  - userFirstName :: !(Maybe Text)
  - userLastName :: !(Maybe Text)
  - userEmail :: !(Maybe Text)
  - userPassword :: !(Maybe Text)
  - userPhone :: !(Maybe Text)
  - userUserStatus :: !(Maybe Int)
  }
- mkUser :: User
- data XmlItem = XmlItem {
  - xmlItemAttributeString :: !(Maybe Text)
  - xmlItemAttributeNumber :: !(Maybe Double)
  - xmlItemAttributeInteger :: !(Maybe Int)
  - xmlItemAttributeBoolean :: !(Maybe Bool)
  - xmlItemWrappedArray :: !(Maybe [Int])
  - xmlItemNameString :: !(Maybe Text)
  - xmlItemNameNumber :: !(Maybe Double)
  - xmlItemNameInteger :: !(Maybe Int)
  - xmlItemNameBoolean :: !(Maybe Bool)
  - xmlItemNameArray :: !(Maybe [Int])
  - xmlItemNameWrappedArray :: !(Maybe [Int])
  - xmlItemPrefixString :: !(Maybe Text)
  - xmlItemPrefixNumber :: !(Maybe Double)
  - xmlItemPrefixInteger :: !(Maybe Int)
  - xmlItemPrefixBoolean :: !(Maybe Bool)
  - xmlItemPrefixArray :: !(Maybe [Int])
  - xmlItemPrefixWrappedArray :: !(Maybe [Int])
  - xmlItemNamespaceString :: !(Maybe Text)
  - xmlItemNamespaceNumber :: !(Maybe Double)
  - xmlItemNamespaceInteger :: !(Maybe Int)
  - xmlItemNamespaceBoolean :: !(Maybe Bool)
  - xmlItemNamespaceArray :: !(Maybe [Int])
  - xmlItemNamespaceWrappedArray :: !(Maybe [Int])
  - xmlItemPrefixNsString :: !(Maybe Text)
  - xmlItemPrefixNsNumber :: !(Maybe Double)
  - xmlItemPrefixNsInteger :: !(Maybe Int)
  - xmlItemPrefixNsBoolean :: !(Maybe Bool)
  - xmlItemPrefixNsArray :: !(Maybe [Int])
  - xmlItemPrefixNsWrappedArray :: !(Maybe [Int])
  }
- mkXmlItem :: XmlItem
- data E'ArrayEnum
  - = E'ArrayEnum'Fish
  - | E'ArrayEnum'Crab
- fromE'ArrayEnum :: E'ArrayEnum -> Text
- toE'ArrayEnum :: Text -> Either String E'ArrayEnum
- data E'EnumFormString
  - = E'EnumFormString'_abc
  - | E'EnumFormString'_efg
  - | E'EnumFormString'_xyz
- fromE'EnumFormString :: E'EnumFormString -> Text
- toE'EnumFormString :: Text -> Either String E'EnumFormString
- data E'EnumFormStringArray
  - = E'EnumFormStringArray'GreaterThan
  - | E'EnumFormStringArray'Dollar
- fromE'EnumFormStringArray :: E'EnumFormStringArray -> Text
- toE'EnumFormStringArray :: Text -> Either String E'EnumFormStringArray
- data E'EnumInteger
  - = E'EnumInteger'Num1
  - | E'EnumInteger'NumMinus_1
- fromE'EnumInteger :: E'EnumInteger -> Int
- toE'EnumInteger :: Int -> Either String E'EnumInteger
- data E'EnumNumber
  - = E'EnumNumber'Num1_Dot_1
  - | E'EnumNumber'NumMinus_1_Dot_2
- fromE'EnumNumber :: E'EnumNumber -> Double
- toE'EnumNumber :: Double -> Either String E'EnumNumber
- data E'EnumQueryInteger
  - = E'EnumQueryInteger'Num1
  - | E'EnumQueryInteger'NumMinus_2
- fromE'EnumQueryInteger :: E'EnumQueryInteger -> Int
- toE'EnumQueryInteger :: Int -> Either String E'EnumQueryInteger
- data E'EnumString
  - = E'EnumString'UPPER
  - | E'EnumString'Lower
  - | E'EnumString'Empty
- fromE'EnumString :: E'EnumString -> Text
- toE'EnumString :: Text -> Either String E'EnumString
- data E'Inner
  - = E'Inner'UPPER
  - | E'Inner'Lower
- fromE'Inner :: E'Inner -> Text
- toE'Inner :: Text -> Either String E'Inner
- data E'JustSymbol
  - = E'JustSymbol'Greater_Than_Or_Equal_To
  - | E'JustSymbol'Dollar
- fromE'JustSymbol :: E'JustSymbol -> Text
- toE'JustSymbol :: Text -> Either String E'JustSymbol
- data E'Kind
  - = E'Kind'Lions
  - | E'Kind'Tigers
  - | E'Kind'Leopards
  - | E'Kind'Jaguars
- fromE'Kind :: E'Kind -> Text
- toE'Kind :: Text -> Either String E'Kind
- data E'Status
  - = E'Status'Placed
  - | E'Status'Approved
  - | E'Status'Delivered
- fromE'Status :: E'Status -> Text
- toE'Status :: Text -> Either String E'Status
- data E'Status2
  - = E'Status2'Available
  - | E'Status2'Pending
  - | E'Status2'Sold
- fromE'Status2 :: E'Status2 -> Text
- toE'Status2 :: Text -> Either String E'Status2
- data EnumClass
  - = EnumClass'_abc
  - | EnumClass'_efg
  - | EnumClass'_xyz
- fromEnumClass :: EnumClass -> Text
- toEnumClass :: Text -> Either String EnumClass
- data OuterEnum
  - = OuterEnum'Placed
  - | OuterEnum'Approved
  - | OuterEnum'Delivered
- fromOuterEnum :: OuterEnum -> Text
- toOuterEnum :: Text -> Either String OuterEnum
- data AuthApiKeyApiKey = AuthApiKeyApiKey Text
- data AuthApiKeyApiKeyQuery = AuthApiKeyApiKeyQuery Text
- data AuthBasicHttpBasicTest = AuthBasicHttpBasicTest ByteString ByteString
- data AuthOAuthPetstoreAuth = AuthOAuthPetstoreAuth Text

# Parameter newtypes

## AdditionalMetadata

newtype AdditionalMetadata Source #

Constructors

AdditionalMetadata |

Fields

- unAdditionalMetadata :: Text

#### Instances

Instances details

Eq AdditionalMetadata Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: AdditionalMetadata -> AdditionalMetadata -> Bool # (/=) :: AdditionalMetadata -> AdditionalMetadata -> Bool #
Show AdditionalMetadata Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> AdditionalMetadata -> ShowS # show :: AdditionalMetadata -> String # showList :: [AdditionalMetadata] -> ShowS #
HasOptionalParam UploadFileWithRequiredFile AdditionalMetadata Source # | Optional Param "additionalMetadata" - Additional data to pass to server

Instance details

Defined in OpenAPIPetstore.API.Pet

Methods

applyOptionalParam :: OpenAPIPetstoreRequest UploadFileWithRequiredFile contentType res accept -> AdditionalMetadata -> OpenAPIPetstoreRequest UploadFileWithRequiredFile contentType res accept Source #

(-&-) :: OpenAPIPetstoreRequest UploadFileWithRequiredFile contentType res accept -> AdditionalMetadata -> OpenAPIPetstoreRequest UploadFileWithRequiredFile contentType res accept Source #

HasOptionalParam UploadFile AdditionalMetadata Source # | Optional Param "additionalMetadata" - Additional data to pass to server
Instance details Defined in OpenAPIPetstore.API.Pet Methods applyOptionalParam :: OpenAPIPetstoreRequest UploadFile contentType res accept -> AdditionalMetadata -> OpenAPIPetstoreRequest UploadFile contentType res accept Source # (-&-) :: OpenAPIPetstoreRequest UploadFile contentType res accept -> AdditionalMetadata -> OpenAPIPetstoreRequest UploadFile contentType res accept Source #

## ApiKey

newtype ApiKey Source #

Constructors

ApiKey |

Fields

- unApiKey :: Text

#### Instances

Instances details

Eq ApiKey Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: ApiKey -> ApiKey -> Bool # (/=) :: ApiKey -> ApiKey -> Bool #
Show ApiKey Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> ApiKey -> ShowS # show :: ApiKey -> String # showList :: [ApiKey] -> ShowS #
HasOptionalParam DeletePet ApiKey Source # |
Instance details Defined in OpenAPIPetstore.API.Pet Methods applyOptionalParam :: OpenAPIPetstoreRequest DeletePet contentType res accept -> ApiKey -> OpenAPIPetstoreRequest DeletePet contentType res accept Source # (-&-) :: OpenAPIPetstoreRequest DeletePet contentType res accept -> ApiKey -> OpenAPIPetstoreRequest DeletePet contentType res accept Source #

## Body

newtype Body Source #

Constructors

Body |

Fields

- unBody :: [User]

#### Instances

Instances details

Eq Body Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: Body -> Body -> Bool # (/=) :: Body -> Body -> Bool #
Show Body Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> Body -> ShowS # show :: Body -> String # showList :: [Body] -> ShowS #
ToJSON Body Source # |
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: Body -> Value toEncoding :: Body -> Encoding toJSONList :: [Body] -> Value toEncodingList :: [Body] -> Encoding
HasBodyParam CreateUsersWithListInput Body Source # | Body Param "body" - List of user object
Instance details Defined in OpenAPIPetstore.API.User Methods setBodyParam :: (Consumes CreateUsersWithListInput contentType, MimeRender contentType Body) => OpenAPIPetstoreRequest CreateUsersWithListInput contentType res accept -> Body -> OpenAPIPetstoreRequest CreateUsersWithListInput contentType res accept Source #
HasBodyParam CreateUsersWithArrayInput Body Source # | Body Param "body" - List of user object
Instance details Defined in OpenAPIPetstore.API.User Methods setBodyParam :: (Consumes CreateUsersWithArrayInput contentType, MimeRender contentType Body) => OpenAPIPetstoreRequest CreateUsersWithArrayInput contentType res accept -> Body -> OpenAPIPetstoreRequest CreateUsersWithArrayInput contentType res accept Source #

## BodyBool

newtype BodyBool Source #

Constructors

BodyBool |

Fields

- unBodyBool :: Bool

#### Instances

Instances details

Eq BodyBool Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: BodyBool -> BodyBool -> Bool # (/=) :: BodyBool -> BodyBool -> Bool #
Show BodyBool Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> BodyBool -> ShowS # show :: BodyBool -> String # showList :: [BodyBool] -> ShowS #
ToJSON BodyBool Source # |
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: BodyBool -> Value toEncoding :: BodyBool -> Encoding toJSONList :: [BodyBool] -> Value toEncodingList :: [BodyBool] -> Encoding
HasBodyParam FakeOuterBooleanSerialize BodyBool Source # | Body Param "body" - Input boolean as post body
Instance details Defined in OpenAPIPetstore.API.Fake Methods setBodyParam :: (Consumes FakeOuterBooleanSerialize contentType, MimeRender contentType BodyBool) => OpenAPIPetstoreRequest FakeOuterBooleanSerialize contentType res accept -> BodyBool -> OpenAPIPetstoreRequest FakeOuterBooleanSerialize contentType res accept Source #

## BodyDouble

newtype BodyDouble Source #

Constructors

BodyDouble |

Fields

- unBodyDouble :: Double

#### Instances

Instances details

Eq BodyDouble Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: BodyDouble -> BodyDouble -> Bool # (/=) :: BodyDouble -> BodyDouble -> Bool #
Show BodyDouble Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> BodyDouble -> ShowS # show :: BodyDouble -> String # showList :: [BodyDouble] -> ShowS #
ToJSON BodyDouble Source # |
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: BodyDouble -> Value toEncoding :: BodyDouble -> Encoding toJSONList :: [BodyDouble] -> Value toEncodingList :: [BodyDouble] -> Encoding
HasBodyParam FakeOuterNumberSerialize BodyDouble Source # | Body Param "body" - Input number as post body
Instance details Defined in OpenAPIPetstore.API.Fake Methods setBodyParam :: (Consumes FakeOuterNumberSerialize contentType, MimeRender contentType BodyDouble) => OpenAPIPetstoreRequest FakeOuterNumberSerialize contentType res accept -> BodyDouble -> OpenAPIPetstoreRequest FakeOuterNumberSerialize contentType res accept Source #

## BodyText

newtype BodyText Source #

Constructors

BodyText |

Fields

- unBodyText :: Text

#### Instances

Instances details

Eq BodyText Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: BodyText -> BodyText -> Bool # (/=) :: BodyText -> BodyText -> Bool #
Show BodyText Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> BodyText -> ShowS # show :: BodyText -> String # showList :: [BodyText] -> ShowS #
ToJSON BodyText Source # |
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: BodyText -> Value toEncoding :: BodyText -> Encoding toJSONList :: [BodyText] -> Value toEncodingList :: [BodyText] -> Encoding
HasBodyParam FakeOuterStringSerialize BodyText Source # | Body Param "body" - Input string as post body
Instance details Defined in OpenAPIPetstore.API.Fake Methods setBodyParam :: (Consumes FakeOuterStringSerialize contentType, MimeRender contentType BodyText) => OpenAPIPetstoreRequest FakeOuterStringSerialize contentType res accept -> BodyText -> OpenAPIPetstoreRequest FakeOuterStringSerialize contentType res accept Source #

## BooleanGroup

newtype BooleanGroup Source #

Constructors

BooleanGroup |

Fields

- unBooleanGroup :: Bool

#### Instances

Instances details

Eq BooleanGroup Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: BooleanGroup -> BooleanGroup -> Bool # (/=) :: BooleanGroup -> BooleanGroup -> Bool #
Show BooleanGroup Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> BooleanGroup -> ShowS # show :: BooleanGroup -> String # showList :: [BooleanGroup] -> ShowS #
HasOptionalParam TestGroupParameters BooleanGroup Source # | Optional Param "boolean_group" - Boolean in group parameters

Instance details

Defined in OpenAPIPetstore.API.Fake

Methods

applyOptionalParam :: OpenAPIPetstoreRequest TestGroupParameters contentType res accept -> BooleanGroup -> OpenAPIPetstoreRequest TestGroupParameters contentType res accept Source #

(-&-) :: OpenAPIPetstoreRequest TestGroupParameters contentType res accept -> BooleanGroup -> OpenAPIPetstoreRequest TestGroupParameters contentType res accept Source #

## Byte

newtype Byte Source #

Constructors

Byte |

Fields

- unByte :: ByteArray

#### Instances

Instances details

Eq Byte Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: Byte -> Byte -> Bool # (/=) :: Byte -> Byte -> Bool #
Show Byte Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> Byte -> ShowS # show :: Byte -> String # showList :: [Byte] -> ShowS #

## Callback

newtype Callback Source #

Constructors

Callback |

Fields

- unCallback :: Text

#### Instances

Instances details

Eq Callback Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: Callback -> Callback -> Bool # (/=) :: Callback -> Callback -> Bool #
Show Callback Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> Callback -> ShowS # show :: Callback -> String # showList :: [Callback] -> ShowS #
HasOptionalParam TestEndpointParameters Callback Source # | Optional Param "callback" - None

Instance details

Defined in OpenAPIPetstore.API.Fake

Methods

applyOptionalParam :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> Callback -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source #

(-&-) :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> Callback -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source #

## Context

newtype Context Source #

Constructors

Context |

Fields

- unContext :: [Text]

#### Instances

Instances details

Eq Context Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: Context -> Context -> Bool # (/=) :: Context -> Context -> Bool #
Show Context Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> Context -> ShowS # show :: Context -> String # showList :: [Context] -> ShowS #

## EnumFormString

newtype EnumFormString Source #

Constructors

EnumFormString |

Fields

- unEnumFormString :: E'EnumFormString

#### Instances

Instances details

Eq EnumFormString Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: EnumFormString -> EnumFormString -> Bool # (/=) :: EnumFormString -> EnumFormString -> Bool #
Show EnumFormString Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> EnumFormString -> ShowS # show :: EnumFormString -> String # showList :: [EnumFormString] -> ShowS #
HasOptionalParam TestEnumParameters EnumFormString Source # | Optional Param "enum_form_string" - Form parameter enum test (string)

Instance details

Defined in OpenAPIPetstore.API.Fake

Methods

applyOptionalParam :: OpenAPIPetstoreRequest TestEnumParameters contentType res accept -> EnumFormString -> OpenAPIPetstoreRequest TestEnumParameters contentType res accept Source #

(-&-) :: OpenAPIPetstoreRequest TestEnumParameters contentType res accept -> EnumFormString -> OpenAPIPetstoreRequest TestEnumParameters contentType res accept Source #

## EnumFormStringArray

newtype EnumFormStringArray Source #

Constructors

EnumFormStringArray |

Fields

- unEnumFormStringArray :: [E'EnumFormStringArray]

#### Instances

Instances details

Eq EnumFormStringArray Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: EnumFormStringArray -> EnumFormStringArray -> Bool # (/=) :: EnumFormStringArray -> EnumFormStringArray -> Bool #
Show EnumFormStringArray Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> EnumFormStringArray -> ShowS # show :: EnumFormStringArray -> String # showList :: [EnumFormStringArray] -> ShowS #
HasOptionalParam TestEnumParameters EnumFormStringArray Source # | Optional Param "enum_form_string_array" - Form parameter enum test (string array)

Instance details

Defined in OpenAPIPetstore.API.Fake

Methods

applyOptionalParam :: OpenAPIPetstoreRequest TestEnumParameters contentType res accept -> EnumFormStringArray -> OpenAPIPetstoreRequest TestEnumParameters contentType res accept Source #

(-&-) :: OpenAPIPetstoreRequest TestEnumParameters contentType res accept -> EnumFormStringArray -> OpenAPIPetstoreRequest TestEnumParameters contentType res accept Source #

## EnumHeaderString

newtype EnumHeaderString Source #

Constructors

EnumHeaderString |

Fields

- unEnumHeaderString :: E'EnumFormString

#### Instances

Instances details

Eq EnumHeaderString Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: EnumHeaderString -> EnumHeaderString -> Bool # (/=) :: EnumHeaderString -> EnumHeaderString -> Bool #
Show EnumHeaderString Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> EnumHeaderString -> ShowS # show :: EnumHeaderString -> String # showList :: [EnumHeaderString] -> ShowS #
HasOptionalParam TestEnumParameters EnumHeaderString Source # | Optional Param "enum_header_string" - Header parameter enum test (string)

Instance details

Defined in OpenAPIPetstore.API.Fake

Methods

applyOptionalParam :: OpenAPIPetstoreRequest TestEnumParameters contentType res accept -> EnumHeaderString -> OpenAPIPetstoreRequest TestEnumParameters contentType res accept Source #

(-&-) :: OpenAPIPetstoreRequest TestEnumParameters contentType res accept -> EnumHeaderString -> OpenAPIPetstoreRequest TestEnumParameters contentType res accept Source #

## EnumHeaderStringArray

newtype EnumHeaderStringArray Source #

Constructors

EnumHeaderStringArray |

Fields

- unEnumHeaderStringArray :: [E'EnumFormStringArray]

#### Instances

Instances details

Eq EnumHeaderStringArray Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: EnumHeaderStringArray -> EnumHeaderStringArray -> Bool # (/=) :: EnumHeaderStringArray -> EnumHeaderStringArray -> Bool #
Show EnumHeaderStringArray Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> EnumHeaderStringArray -> ShowS # show :: EnumHeaderStringArray -> String # showList :: [EnumHeaderStringArray] -> ShowS #
HasOptionalParam TestEnumParameters EnumHeaderStringArray Source # | Optional Param "enum_header_string_array" - Header parameter enum test (string array)

Instance details

Defined in OpenAPIPetstore.API.Fake

Methods

applyOptionalParam :: OpenAPIPetstoreRequest TestEnumParameters contentType res accept -> EnumHeaderStringArray -> OpenAPIPetstoreRequest TestEnumParameters contentType res accept Source #

(-&-) :: OpenAPIPetstoreRequest TestEnumParameters contentType res accept -> EnumHeaderStringArray -> OpenAPIPetstoreRequest TestEnumParameters contentType res accept Source #

## EnumQueryDouble

newtype EnumQueryDouble Source #

Constructors

EnumQueryDouble |

Fields

- unEnumQueryDouble :: E'EnumNumber

#### Instances

Instances details

Eq EnumQueryDouble Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: EnumQueryDouble -> EnumQueryDouble -> Bool # (/=) :: EnumQueryDouble -> EnumQueryDouble -> Bool #
Show EnumQueryDouble Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> EnumQueryDouble -> ShowS # show :: EnumQueryDouble -> String # showList :: [EnumQueryDouble] -> ShowS #
HasOptionalParam TestEnumParameters EnumQueryDouble Source # | Optional Param "enum_query_double" - Query parameter enum test (double)

Instance details

Defined in OpenAPIPetstore.API.Fake

Methods

applyOptionalParam :: OpenAPIPetstoreRequest TestEnumParameters contentType res accept -> EnumQueryDouble -> OpenAPIPetstoreRequest TestEnumParameters contentType res accept Source #

(-&-) :: OpenAPIPetstoreRequest TestEnumParameters contentType res accept -> EnumQueryDouble -> OpenAPIPetstoreRequest TestEnumParameters contentType res accept Source #

## EnumQueryInteger

newtype EnumQueryInteger Source #

Constructors

EnumQueryInteger |

Fields

- unEnumQueryInteger :: E'EnumQueryInteger

#### Instances

Instances details

Eq EnumQueryInteger Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: EnumQueryInteger -> EnumQueryInteger -> Bool # (/=) :: EnumQueryInteger -> EnumQueryInteger -> Bool #
Show EnumQueryInteger Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> EnumQueryInteger -> ShowS # show :: EnumQueryInteger -> String # showList :: [EnumQueryInteger] -> ShowS #
HasOptionalParam TestEnumParameters EnumQueryInteger Source # | Optional Param "enum_query_integer" - Query parameter enum test (double)

Instance details

Defined in OpenAPIPetstore.API.Fake

Methods

applyOptionalParam :: OpenAPIPetstoreRequest TestEnumParameters contentType res accept -> EnumQueryInteger -> OpenAPIPetstoreRequest TestEnumParameters contentType res accept Source #

(-&-) :: OpenAPIPetstoreRequest TestEnumParameters contentType res accept -> EnumQueryInteger -> OpenAPIPetstoreRequest TestEnumParameters contentType res accept Source #

## EnumQueryString

newtype EnumQueryString Source #

Constructors

EnumQueryString |

Fields

- unEnumQueryString :: E'EnumFormString

#### Instances

Instances details

Eq EnumQueryString Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: EnumQueryString -> EnumQueryString -> Bool # (/=) :: EnumQueryString -> EnumQueryString -> Bool #
Show EnumQueryString Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> EnumQueryString -> ShowS # show :: EnumQueryString -> String # showList :: [EnumQueryString] -> ShowS #
HasOptionalParam TestEnumParameters EnumQueryString Source # | Optional Param "enum_query_string" - Query parameter enum test (string)

Instance details

Defined in OpenAPIPetstore.API.Fake

Methods

applyOptionalParam :: OpenAPIPetstoreRequest TestEnumParameters contentType res accept -> EnumQueryString -> OpenAPIPetstoreRequest TestEnumParameters contentType res accept Source #

(-&-) :: OpenAPIPetstoreRequest TestEnumParameters contentType res accept -> EnumQueryString -> OpenAPIPetstoreRequest TestEnumParameters contentType res accept Source #

## EnumQueryStringArray

newtype EnumQueryStringArray Source #

Constructors

EnumQueryStringArray |

Fields

- unEnumQueryStringArray :: [E'EnumFormStringArray]

#### Instances

Instances details

Eq EnumQueryStringArray Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: EnumQueryStringArray -> EnumQueryStringArray -> Bool # (/=) :: EnumQueryStringArray -> EnumQueryStringArray -> Bool #
Show EnumQueryStringArray Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> EnumQueryStringArray -> ShowS # show :: EnumQueryStringArray -> String # showList :: [EnumQueryStringArray] -> ShowS #
HasOptionalParam TestEnumParameters EnumQueryStringArray Source # | Optional Param "enum_query_string_array" - Query parameter enum test (string array)

Instance details

Defined in OpenAPIPetstore.API.Fake

Methods

applyOptionalParam :: OpenAPIPetstoreRequest TestEnumParameters contentType res accept -> EnumQueryStringArray -> OpenAPIPetstoreRequest TestEnumParameters contentType res accept Source #

(-&-) :: OpenAPIPetstoreRequest TestEnumParameters contentType res accept -> EnumQueryStringArray -> OpenAPIPetstoreRequest TestEnumParameters contentType res accept Source #

## File2

newtype File2 Source #

Constructors

File2 |

Fields

- unFile2 :: FilePath

#### Instances

Instances details

Eq File2 Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: File2 -> File2 -> Bool # (/=) :: File2 -> File2 -> Bool #
Show File2 Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> File2 -> ShowS # show :: File2 -> String # showList :: [File2] -> ShowS #
HasOptionalParam UploadFile File2 Source # | Optional Param "file" - file to upload
Instance details Defined in OpenAPIPetstore.API.Pet Methods applyOptionalParam :: OpenAPIPetstoreRequest UploadFile contentType res accept -> File2 -> OpenAPIPetstoreRequest UploadFile contentType res accept Source # (-&-) :: OpenAPIPetstoreRequest UploadFile contentType res accept -> File2 -> OpenAPIPetstoreRequest UploadFile contentType res accept Source #

## Http

newtype Http Source #

Constructors

Http |

Fields

- unHttp :: [Text]

#### Instances

Instances details

Eq Http Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: Http -> Http -> Bool # (/=) :: Http -> Http -> Bool #
Show Http Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> Http -> ShowS # show :: Http -> String # showList :: [Http] -> ShowS #

## Int32

newtype Int32 Source #

Constructors

Int32 |

Fields

- unInt32 :: Int

#### Instances

Instances details

Eq Int32 Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: Int32 -> Int32 -> Bool # (/=) :: Int32 -> Int32 -> Bool #
Show Int32 Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> Int32 -> ShowS # show :: Int32 -> String # showList :: [Int32] -> ShowS #
HasOptionalParam TestEndpointParameters Int32 Source # | Optional Param "int32" - None

Instance details

Defined in OpenAPIPetstore.API.Fake

Methods

applyOptionalParam :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> Int32 -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source #

(-&-) :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> Int32 -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source #

## Int64

newtype Int64 Source #

Constructors

Int64 |

Fields

- unInt64 :: Integer

#### Instances

Instances details

Eq Int64 Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: Int64 -> Int64 -> Bool # (/=) :: Int64 -> Int64 -> Bool #
Show Int64 Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> Int64 -> ShowS # show :: Int64 -> String # showList :: [Int64] -> ShowS #
HasOptionalParam TestEndpointParameters Int64 Source # | Optional Param "int64" - None

Instance details

Defined in OpenAPIPetstore.API.Fake

Methods

applyOptionalParam :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> Int64 -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source #

(-&-) :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> Int64 -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source #

## Int64Group

newtype Int64Group Source #

Constructors

Int64Group |

Fields

- unInt64Group :: Integer

#### Instances

Instances details

Eq Int64Group Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: Int64Group -> Int64Group -> Bool # (/=) :: Int64Group -> Int64Group -> Bool #
Show Int64Group Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> Int64Group -> ShowS # show :: Int64Group -> String # showList :: [Int64Group] -> ShowS #
HasOptionalParam TestGroupParameters Int64Group Source # | Optional Param "int64_group" - Integer in group parameters

Instance details

Defined in OpenAPIPetstore.API.Fake

Methods

applyOptionalParam :: OpenAPIPetstoreRequest TestGroupParameters contentType res accept -> Int64Group -> OpenAPIPetstoreRequest TestGroupParameters contentType res accept Source #

(-&-) :: OpenAPIPetstoreRequest TestGroupParameters contentType res accept -> Int64Group -> OpenAPIPetstoreRequest TestGroupParameters contentType res accept Source #

## Ioutil

newtype Ioutil Source #

Constructors

Ioutil |

Fields

- unIoutil :: [Text]

#### Instances

Instances details

Eq Ioutil Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: Ioutil -> Ioutil -> Bool # (/=) :: Ioutil -> Ioutil -> Bool #
Show Ioutil Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> Ioutil -> ShowS # show :: Ioutil -> String # showList :: [Ioutil] -> ShowS #

## Name2

newtype Name2 Source #

Constructors

Name2 |

Fields

- unName2 :: Text

#### Instances

Instances details

Eq Name2 Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: Name2 -> Name2 -> Bool # (/=) :: Name2 -> Name2 -> Bool #
Show Name2 Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> Name2 -> ShowS # show :: Name2 -> String # showList :: [Name2] -> ShowS #
HasOptionalParam UpdatePetWithForm Name2 Source # | Optional Param "name" - Updated name of the pet
Instance details Defined in OpenAPIPetstore.API.Pet Methods applyOptionalParam :: OpenAPIPetstoreRequest UpdatePetWithForm contentType res accept -> Name2 -> OpenAPIPetstoreRequest UpdatePetWithForm contentType res accept Source # (-&-) :: OpenAPIPetstoreRequest UpdatePetWithForm contentType res accept -> Name2 -> OpenAPIPetstoreRequest UpdatePetWithForm contentType res accept Source #

## Number

newtype Number Source #

Constructors

Number |

Fields

- unNumber :: Double

#### Instances

Instances details

Eq Number Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: Number -> Number -> Bool # (/=) :: Number -> Number -> Bool #
Show Number Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> Number -> ShowS # show :: Number -> String # showList :: [Number] -> ShowS #

## OrderId

newtype OrderId Source #

Constructors

OrderId |

Fields

- unOrderId :: Integer

#### Instances

Instances details

Eq OrderId Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: OrderId -> OrderId -> Bool # (/=) :: OrderId -> OrderId -> Bool #
Show OrderId Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> OrderId -> ShowS # show :: OrderId -> String # showList :: [OrderId] -> ShowS #

## OrderIdText

newtype OrderIdText Source #

Constructors

OrderIdText |

Fields

- unOrderIdText :: Text

#### Instances

Instances details

Eq OrderIdText Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: OrderIdText -> OrderIdText -> Bool # (/=) :: OrderIdText -> OrderIdText -> Bool #
Show OrderIdText Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> OrderIdText -> ShowS # show :: OrderIdText -> String # showList :: [OrderIdText] -> ShowS #

## Param

newtype Param Source #

Constructors

Param |

Fields

- unParam :: Text

#### Instances

Instances details

Eq Param Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: Param -> Param -> Bool # (/=) :: Param -> Param -> Bool #
Show Param Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> Param -> ShowS # show :: Param -> String # showList :: [Param] -> ShowS #

## Param2

newtype Param2 Source #

Constructors

Param2 |

Fields

- unParam2 :: Text

#### Instances

Instances details

Eq Param2 Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: Param2 -> Param2 -> Bool # (/=) :: Param2 -> Param2 -> Bool #
Show Param2 Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> Param2 -> ShowS # show :: Param2 -> String # showList :: [Param2] -> ShowS #

## ParamBinary

newtype ParamBinary Source #

Constructors

ParamBinary |

Fields

- unParamBinary :: FilePath

#### Instances

Instances details

Eq ParamBinary Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: ParamBinary -> ParamBinary -> Bool # (/=) :: ParamBinary -> ParamBinary -> Bool #
Show ParamBinary Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> ParamBinary -> ShowS # show :: ParamBinary -> String # showList :: [ParamBinary] -> ShowS #
HasOptionalParam TestEndpointParameters ParamBinary Source # | Optional Param "binary" - None

Instance details

Defined in OpenAPIPetstore.API.Fake

Methods

applyOptionalParam :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> ParamBinary -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source #

(-&-) :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> ParamBinary -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source #

## ParamDate

newtype ParamDate Source #

Constructors

ParamDate |

Fields

- unParamDate :: Date

#### Instances

Instances details

Eq ParamDate Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: ParamDate -> ParamDate -> Bool # (/=) :: ParamDate -> ParamDate -> Bool #
Show ParamDate Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> ParamDate -> ShowS # show :: ParamDate -> String # showList :: [ParamDate] -> ShowS #
HasOptionalParam TestEndpointParameters ParamDate Source # | Optional Param "date" - None

Instance details

Defined in OpenAPIPetstore.API.Fake

Methods

applyOptionalParam :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> ParamDate -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source #

(-&-) :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> ParamDate -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source #

## ParamDateTime

newtype ParamDateTime Source #

Constructors

ParamDateTime |

Fields

- unParamDateTime :: DateTime

#### Instances

Instances details

Eq ParamDateTime Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: ParamDateTime -> ParamDateTime -> Bool # (/=) :: ParamDateTime -> ParamDateTime -> Bool #
Show ParamDateTime Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> ParamDateTime -> ShowS # show :: ParamDateTime -> String # showList :: [ParamDateTime] -> ShowS #
HasOptionalParam TestEndpointParameters ParamDateTime Source # | Optional Param "dateTime" - None

Instance details

Defined in OpenAPIPetstore.API.Fake

Methods

applyOptionalParam :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> ParamDateTime -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source #

(-&-) :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> ParamDateTime -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source #

## ParamDouble

newtype ParamDouble Source #

Constructors

ParamDouble |

Fields

- unParamDouble :: Double

#### Instances

Instances details

Eq ParamDouble Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: ParamDouble -> ParamDouble -> Bool # (/=) :: ParamDouble -> ParamDouble -> Bool #
Show ParamDouble Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> ParamDouble -> ShowS # show :: ParamDouble -> String # showList :: [ParamDouble] -> ShowS #

## ParamFloat

newtype ParamFloat Source #

Constructors

ParamFloat |

Fields

- unParamFloat :: Float

#### Instances

Instances details

Eq ParamFloat Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: ParamFloat -> ParamFloat -> Bool # (/=) :: ParamFloat -> ParamFloat -> Bool #
Show ParamFloat Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> ParamFloat -> ShowS # show :: ParamFloat -> String # showList :: [ParamFloat] -> ShowS #
HasOptionalParam TestEndpointParameters ParamFloat Source # | Optional Param "float" - None

Instance details

Defined in OpenAPIPetstore.API.Fake

Methods

applyOptionalParam :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> ParamFloat -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source #

(-&-) :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> ParamFloat -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source #

## ParamInteger

newtype ParamInteger Source #

Constructors

ParamInteger |

Fields

- unParamInteger :: Int

#### Instances

Instances details

Eq ParamInteger Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: ParamInteger -> ParamInteger -> Bool # (/=) :: ParamInteger -> ParamInteger -> Bool #
Show ParamInteger Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> ParamInteger -> ShowS # show :: ParamInteger -> String # showList :: [ParamInteger] -> ShowS #
HasOptionalParam TestEndpointParameters ParamInteger Source # | Optional Param "integer" - None

Instance details

Defined in OpenAPIPetstore.API.Fake

Methods

applyOptionalParam :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> ParamInteger -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source #

(-&-) :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> ParamInteger -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source #

## ParamMapMapStringText

newtype ParamMapMapStringText Source #

Constructors

ParamMapMapStringText |

Fields

- unParamMapMapStringText :: Map String Text

#### Instances

Instances details

Eq ParamMapMapStringText Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: ParamMapMapStringText -> ParamMapMapStringText -> Bool # (/=) :: ParamMapMapStringText -> ParamMapMapStringText -> Bool #
Show ParamMapMapStringText Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> ParamMapMapStringText -> ShowS # show :: ParamMapMapStringText -> String # showList :: [ParamMapMapStringText] -> ShowS #
ToJSON ParamMapMapStringText Source # |
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: ParamMapMapStringText -> Value toEncoding :: ParamMapMapStringText -> Encoding toJSONList :: [ParamMapMapStringText] -> Value toEncodingList :: [ParamMapMapStringText] -> Encoding
HasBodyParam TestInlineAdditionalProperties ParamMapMapStringText Source # | Body Param "param" - request body
Instance details Defined in OpenAPIPetstore.API.Fake Methods setBodyParam :: (Consumes TestInlineAdditionalProperties contentType, MimeRender contentType ParamMapMapStringText) => OpenAPIPetstoreRequest TestInlineAdditionalProperties contentType res accept -> ParamMapMapStringText -> OpenAPIPetstoreRequest TestInlineAdditionalProperties contentType res accept Source #

## ParamString

newtype ParamString Source #

Constructors

ParamString |

Fields

- unParamString :: Text

#### Instances

Instances details

Eq ParamString Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: ParamString -> ParamString -> Bool # (/=) :: ParamString -> ParamString -> Bool #
Show ParamString Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> ParamString -> ShowS # show :: ParamString -> String # showList :: [ParamString] -> ShowS #
HasOptionalParam TestEndpointParameters ParamString Source # | Optional Param "string" - None

Instance details

Defined in OpenAPIPetstore.API.Fake

Methods

applyOptionalParam :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> ParamString -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source #

(-&-) :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> ParamString -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source #

## Password

newtype Password Source #

Constructors

Password |

Fields

- unPassword :: Text

#### Instances

Instances details

Eq Password Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: Password -> Password -> Bool # (/=) :: Password -> Password -> Bool #
Show Password Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> Password -> ShowS # show :: Password -> String # showList :: [Password] -> ShowS #
HasOptionalParam TestEndpointParameters Password Source # | Optional Param "password" - None

Instance details

Defined in OpenAPIPetstore.API.Fake

Methods

applyOptionalParam :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> Password -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source #

(-&-) :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> Password -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source #

## PatternWithoutDelimiter

newtype PatternWithoutDelimiter Source #

Constructors

PatternWithoutDelimiter |

Fields

- unPatternWithoutDelimiter :: Text

#### Instances

Instances details

Eq PatternWithoutDelimiter Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: PatternWithoutDelimiter -> PatternWithoutDelimiter -> Bool # (/=) :: PatternWithoutDelimiter -> PatternWithoutDelimiter -> Bool #
Show PatternWithoutDelimiter Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> PatternWithoutDelimiter -> ShowS # show :: PatternWithoutDelimiter -> String # showList :: [PatternWithoutDelimiter] -> ShowS #

## PetId

newtype PetId Source #

Constructors

PetId |

Fields

- unPetId :: Integer

#### Instances

Instances details

Eq PetId Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: PetId -> PetId -> Bool # (/=) :: PetId -> PetId -> Bool #
Show PetId Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> PetId -> ShowS # show :: PetId -> String # showList :: [PetId] -> ShowS #

## Pipe

newtype Pipe Source #

Constructors

Pipe |

Fields

- unPipe :: [Text]

#### Instances

Instances details

Eq Pipe Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: Pipe -> Pipe -> Bool # (/=) :: Pipe -> Pipe -> Bool #
Show Pipe Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> Pipe -> ShowS # show :: Pipe -> String # showList :: [Pipe] -> ShowS #

## Query

newtype Query Source #

Constructors

Query |

Fields

- unQuery :: Text

#### Instances

Instances details

Eq Query Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: Query -> Query -> Bool # (/=) :: Query -> Query -> Bool #
Show Query Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> Query -> ShowS # show :: Query -> String # showList :: [Query] -> ShowS #

## RequiredBooleanGroup

newtype RequiredBooleanGroup Source #

Constructors

RequiredBooleanGroup |

Fields

- unRequiredBooleanGroup :: Bool

#### Instances

Instances details

Eq RequiredBooleanGroup Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: RequiredBooleanGroup -> RequiredBooleanGroup -> Bool # (/=) :: RequiredBooleanGroup -> RequiredBooleanGroup -> Bool #
Show RequiredBooleanGroup Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> RequiredBooleanGroup -> ShowS # show :: RequiredBooleanGroup -> String # showList :: [RequiredBooleanGroup] -> ShowS #

## RequiredFile

newtype RequiredFile Source #

Constructors

RequiredFile |

Fields

- unRequiredFile :: FilePath

#### Instances

Instances details

Eq RequiredFile Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: RequiredFile -> RequiredFile -> Bool # (/=) :: RequiredFile -> RequiredFile -> Bool #
Show RequiredFile Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> RequiredFile -> ShowS # show :: RequiredFile -> String # showList :: [RequiredFile] -> ShowS #

## RequiredInt64Group

newtype RequiredInt64Group Source #

Constructors

RequiredInt64Group |

Fields

- unRequiredInt64Group :: Integer

#### Instances

Instances details

Eq RequiredInt64Group Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: RequiredInt64Group -> RequiredInt64Group -> Bool # (/=) :: RequiredInt64Group -> RequiredInt64Group -> Bool #
Show RequiredInt64Group Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> RequiredInt64Group -> ShowS # show :: RequiredInt64Group -> String # showList :: [RequiredInt64Group] -> ShowS #

## RequiredStringGroup

newtype RequiredStringGroup Source #

Constructors

RequiredStringGroup |

Fields

- unRequiredStringGroup :: Int

#### Instances

Instances details

Eq RequiredStringGroup Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: RequiredStringGroup -> RequiredStringGroup -> Bool # (/=) :: RequiredStringGroup -> RequiredStringGroup -> Bool #
Show RequiredStringGroup Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> RequiredStringGroup -> ShowS # show :: RequiredStringGroup -> String # showList :: [RequiredStringGroup] -> ShowS #

## Status

newtype Status Source #

Constructors

Status |

Fields

- unStatus :: [E'Status2]

#### Instances

Instances details

Eq Status Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: Status -> Status -> Bool # (/=) :: Status -> Status -> Bool #
Show Status Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> Status -> ShowS # show :: Status -> String # showList :: [Status] -> ShowS #

## StatusText

newtype StatusText Source #

Constructors

StatusText |

Fields

- unStatusText :: Text

#### Instances

Instances details

Eq StatusText Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: StatusText -> StatusText -> Bool # (/=) :: StatusText -> StatusText -> Bool #
Show StatusText Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> StatusText -> ShowS # show :: StatusText -> String # showList :: [StatusText] -> ShowS #
HasOptionalParam UpdatePetWithForm StatusText Source # | Optional Param "status" - Updated status of the pet
Instance details Defined in OpenAPIPetstore.API.Pet Methods applyOptionalParam :: OpenAPIPetstoreRequest UpdatePetWithForm contentType res accept -> StatusText -> OpenAPIPetstoreRequest UpdatePetWithForm contentType res accept Source # (-&-) :: OpenAPIPetstoreRequest UpdatePetWithForm contentType res accept -> StatusText -> OpenAPIPetstoreRequest UpdatePetWithForm contentType res accept Source #

## StringGroup

newtype StringGroup Source #

Constructors

StringGroup |

Fields

- unStringGroup :: Int

#### Instances

Instances details

Eq StringGroup Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: StringGroup -> StringGroup -> Bool # (/=) :: StringGroup -> StringGroup -> Bool #
Show StringGroup Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> StringGroup -> ShowS # show :: StringGroup -> String # showList :: [StringGroup] -> ShowS #
HasOptionalParam TestGroupParameters StringGroup Source # | Optional Param "string_group" - String in group parameters

Instance details

Defined in OpenAPIPetstore.API.Fake

Methods

applyOptionalParam :: OpenAPIPetstoreRequest TestGroupParameters contentType res accept -> StringGroup -> OpenAPIPetstoreRequest TestGroupParameters contentType res accept Source #

(-&-) :: OpenAPIPetstoreRequest TestGroupParameters contentType res accept -> StringGroup -> OpenAPIPetstoreRequest TestGroupParameters contentType res accept Source #

## Tags

newtype Tags Source #

Constructors

Tags |

Fields

- unTags :: [Text]

#### Instances

Instances details

Eq Tags Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: Tags -> Tags -> Bool # (/=) :: Tags -> Tags -> Bool #
Show Tags Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> Tags -> ShowS # show :: Tags -> String # showList :: [Tags] -> ShowS #

## Url

newtype Url Source #

Constructors

Url |

Fields

- unUrl :: [Text]

#### Instances

Instances details

Eq Url Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: Url -> Url -> Bool # (/=) :: Url -> Url -> Bool #
Show Url Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> Url -> ShowS # show :: Url -> String # showList :: [Url] -> ShowS #

## Username

newtype Username Source #

Constructors

Username |

Fields

- unUsername :: Text

#### Instances

Instances details

Eq Username Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: Username -> Username -> Bool # (/=) :: Username -> Username -> Bool #
Show Username Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> Username -> ShowS # show :: Username -> String # showList :: [Username] -> ShowS #

# Models

## AdditionalPropertiesAnyType

data AdditionalPropertiesAnyType Source #

AdditionalPropertiesAnyType

Constructors

AdditionalPropertiesAnyType |

Fields

- additionalPropertiesAnyTypeName :: !(Maybe Text)

  "name"

#### Instances

Instances details

Eq AdditionalPropertiesAnyType Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: AdditionalPropertiesAnyType -> AdditionalPropertiesAnyType -> Bool # (/=) :: AdditionalPropertiesAnyType -> AdditionalPropertiesAnyType -> Bool #
Show AdditionalPropertiesAnyType Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> AdditionalPropertiesAnyType -> ShowS # show :: AdditionalPropertiesAnyType -> String # showList :: [AdditionalPropertiesAnyType] -> ShowS #
ToJSON AdditionalPropertiesAnyType Source # | ToJSON AdditionalPropertiesAnyType
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: AdditionalPropertiesAnyType -> Value toEncoding :: AdditionalPropertiesAnyType -> Encoding toJSONList :: [AdditionalPropertiesAnyType] -> Value toEncodingList :: [AdditionalPropertiesAnyType] -> Encoding
FromJSON AdditionalPropertiesAnyType Source # | FromJSON AdditionalPropertiesAnyType
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser AdditionalPropertiesAnyType parseJSONList :: Value -> Parser [AdditionalPropertiesAnyType]

mkAdditionalPropertiesAnyType :: AdditionalPropertiesAnyType Source #

Construct a value of type `AdditionalPropertiesAnyType` (by applying it's required fields, if any)

## AdditionalPropertiesArray

data AdditionalPropertiesArray Source #

AdditionalPropertiesArray

Constructors

AdditionalPropertiesArray |

Fields

- additionalPropertiesArrayName :: !(Maybe Text)

  "name"

#### Instances

Instances details

Eq AdditionalPropertiesArray Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: AdditionalPropertiesArray -> AdditionalPropertiesArray -> Bool # (/=) :: AdditionalPropertiesArray -> AdditionalPropertiesArray -> Bool #
Show AdditionalPropertiesArray Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> AdditionalPropertiesArray -> ShowS # show :: AdditionalPropertiesArray -> String # showList :: [AdditionalPropertiesArray] -> ShowS #
ToJSON AdditionalPropertiesArray Source # | ToJSON AdditionalPropertiesArray
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: AdditionalPropertiesArray -> Value toEncoding :: AdditionalPropertiesArray -> Encoding toJSONList :: [AdditionalPropertiesArray] -> Value toEncodingList :: [AdditionalPropertiesArray] -> Encoding
FromJSON AdditionalPropertiesArray Source # | FromJSON AdditionalPropertiesArray
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser AdditionalPropertiesArray parseJSONList :: Value -> Parser [AdditionalPropertiesArray]

mkAdditionalPropertiesArray :: AdditionalPropertiesArray Source #

Construct a value of type `AdditionalPropertiesArray` (by applying it's required fields, if any)

## AdditionalPropertiesBoolean

data AdditionalPropertiesBoolean Source #

AdditionalPropertiesBoolean

Constructors

AdditionalPropertiesBoolean |

Fields

- additionalPropertiesBooleanName :: !(Maybe Text)

  "name"

#### Instances

Instances details

Eq AdditionalPropertiesBoolean Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: AdditionalPropertiesBoolean -> AdditionalPropertiesBoolean -> Bool # (/=) :: AdditionalPropertiesBoolean -> AdditionalPropertiesBoolean -> Bool #
Show AdditionalPropertiesBoolean Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> AdditionalPropertiesBoolean -> ShowS # show :: AdditionalPropertiesBoolean -> String # showList :: [AdditionalPropertiesBoolean] -> ShowS #
ToJSON AdditionalPropertiesBoolean Source # | ToJSON AdditionalPropertiesBoolean
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: AdditionalPropertiesBoolean -> Value toEncoding :: AdditionalPropertiesBoolean -> Encoding toJSONList :: [AdditionalPropertiesBoolean] -> Value toEncodingList :: [AdditionalPropertiesBoolean] -> Encoding
FromJSON AdditionalPropertiesBoolean Source # | FromJSON AdditionalPropertiesBoolean
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser AdditionalPropertiesBoolean parseJSONList :: Value -> Parser [AdditionalPropertiesBoolean]

mkAdditionalPropertiesBoolean :: AdditionalPropertiesBoolean Source #

Construct a value of type `AdditionalPropertiesBoolean` (by applying it's required fields, if any)

## AdditionalPropertiesClass

data AdditionalPropertiesClass Source #

AdditionalPropertiesClass

Constructors

AdditionalPropertiesClass |

Fields

- additionalPropertiesClassMapString :: !(Maybe (Map String Text))

  "map_string"

- additionalPropertiesClassMapNumber :: !(Maybe (Map String Double))

  "map_number"

- additionalPropertiesClassMapInteger :: !(Maybe (Map String Int))

  "map_integer"

- additionalPropertiesClassMapBoolean :: !(Maybe (Map String Bool))

  "map_boolean"

- additionalPropertiesClassMapArrayInteger :: !(Maybe (Map String [Int]))

  "map_array_integer"

- additionalPropertiesClassMapArrayAnytype :: !(Maybe (Map String [Value]))

  "map_array_anytype"

- additionalPropertiesClassMapMapString :: !(Maybe (Map String (Map String Text)))

  "map_map_string"

- additionalPropertiesClassMapMapAnytype :: !(Maybe (Map String (Map String Value)))

  "map_map_anytype"

- additionalPropertiesClassAnytype1 :: !(Maybe Value)

  "anytype_1"

- additionalPropertiesClassAnytype2 :: !(Maybe Value)

  "anytype_2"

- additionalPropertiesClassAnytype3 :: !(Maybe Value)

  "anytype_3"

#### Instances

Instances details

Eq AdditionalPropertiesClass Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: AdditionalPropertiesClass -> AdditionalPropertiesClass -> Bool # (/=) :: AdditionalPropertiesClass -> AdditionalPropertiesClass -> Bool #
Show AdditionalPropertiesClass Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> AdditionalPropertiesClass -> ShowS # show :: AdditionalPropertiesClass -> String # showList :: [AdditionalPropertiesClass] -> ShowS #
ToJSON AdditionalPropertiesClass Source # | ToJSON AdditionalPropertiesClass
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: AdditionalPropertiesClass -> Value toEncoding :: AdditionalPropertiesClass -> Encoding toJSONList :: [AdditionalPropertiesClass] -> Value toEncodingList :: [AdditionalPropertiesClass] -> Encoding
FromJSON AdditionalPropertiesClass Source # | FromJSON AdditionalPropertiesClass
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser AdditionalPropertiesClass parseJSONList :: Value -> Parser [AdditionalPropertiesClass]

mkAdditionalPropertiesClass :: AdditionalPropertiesClass Source #

Construct a value of type `AdditionalPropertiesClass` (by applying it's required fields, if any)

## AdditionalPropertiesInteger

data AdditionalPropertiesInteger Source #

AdditionalPropertiesInteger

Constructors

AdditionalPropertiesInteger |

Fields

- additionalPropertiesIntegerName :: !(Maybe Text)

  "name"

#### Instances

Instances details

Eq AdditionalPropertiesInteger Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: AdditionalPropertiesInteger -> AdditionalPropertiesInteger -> Bool # (/=) :: AdditionalPropertiesInteger -> AdditionalPropertiesInteger -> Bool #
Show AdditionalPropertiesInteger Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> AdditionalPropertiesInteger -> ShowS # show :: AdditionalPropertiesInteger -> String # showList :: [AdditionalPropertiesInteger] -> ShowS #
ToJSON AdditionalPropertiesInteger Source # | ToJSON AdditionalPropertiesInteger
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: AdditionalPropertiesInteger -> Value toEncoding :: AdditionalPropertiesInteger -> Encoding toJSONList :: [AdditionalPropertiesInteger] -> Value toEncodingList :: [AdditionalPropertiesInteger] -> Encoding
FromJSON AdditionalPropertiesInteger Source # | FromJSON AdditionalPropertiesInteger
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser AdditionalPropertiesInteger parseJSONList :: Value -> Parser [AdditionalPropertiesInteger]

mkAdditionalPropertiesInteger :: AdditionalPropertiesInteger Source #

Construct a value of type `AdditionalPropertiesInteger` (by applying it's required fields, if any)

## AdditionalPropertiesNumber

data AdditionalPropertiesNumber Source #

AdditionalPropertiesNumber

Constructors

AdditionalPropertiesNumber |

Fields

- additionalPropertiesNumberName :: !(Maybe Text)

  "name"

#### Instances

Instances details

Eq AdditionalPropertiesNumber Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: AdditionalPropertiesNumber -> AdditionalPropertiesNumber -> Bool # (/=) :: AdditionalPropertiesNumber -> AdditionalPropertiesNumber -> Bool #
Show AdditionalPropertiesNumber Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> AdditionalPropertiesNumber -> ShowS # show :: AdditionalPropertiesNumber -> String # showList :: [AdditionalPropertiesNumber] -> ShowS #
ToJSON AdditionalPropertiesNumber Source # | ToJSON AdditionalPropertiesNumber
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: AdditionalPropertiesNumber -> Value toEncoding :: AdditionalPropertiesNumber -> Encoding toJSONList :: [AdditionalPropertiesNumber] -> Value toEncodingList :: [AdditionalPropertiesNumber] -> Encoding
FromJSON AdditionalPropertiesNumber Source # | FromJSON AdditionalPropertiesNumber
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser AdditionalPropertiesNumber parseJSONList :: Value -> Parser [AdditionalPropertiesNumber]

mkAdditionalPropertiesNumber :: AdditionalPropertiesNumber Source #

Construct a value of type `AdditionalPropertiesNumber` (by applying it's required fields, if any)

## AdditionalPropertiesObject

data AdditionalPropertiesObject Source #

AdditionalPropertiesObject

Constructors

AdditionalPropertiesObject |

Fields

- additionalPropertiesObjectName :: !(Maybe Text)

  "name"

#### Instances

Instances details

Eq AdditionalPropertiesObject Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: AdditionalPropertiesObject -> AdditionalPropertiesObject -> Bool # (/=) :: AdditionalPropertiesObject -> AdditionalPropertiesObject -> Bool #
Show AdditionalPropertiesObject Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> AdditionalPropertiesObject -> ShowS # show :: AdditionalPropertiesObject -> String # showList :: [AdditionalPropertiesObject] -> ShowS #
ToJSON AdditionalPropertiesObject Source # | ToJSON AdditionalPropertiesObject
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: AdditionalPropertiesObject -> Value toEncoding :: AdditionalPropertiesObject -> Encoding toJSONList :: [AdditionalPropertiesObject] -> Value toEncodingList :: [AdditionalPropertiesObject] -> Encoding
FromJSON AdditionalPropertiesObject Source # | FromJSON AdditionalPropertiesObject
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser AdditionalPropertiesObject parseJSONList :: Value -> Parser [AdditionalPropertiesObject]

mkAdditionalPropertiesObject :: AdditionalPropertiesObject Source #

Construct a value of type `AdditionalPropertiesObject` (by applying it's required fields, if any)

## AdditionalPropertiesString

data AdditionalPropertiesString Source #

AdditionalPropertiesString

Constructors

AdditionalPropertiesString |

Fields

- additionalPropertiesStringName :: !(Maybe Text)

  "name"

#### Instances

Instances details

Eq AdditionalPropertiesString Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: AdditionalPropertiesString -> AdditionalPropertiesString -> Bool # (/=) :: AdditionalPropertiesString -> AdditionalPropertiesString -> Bool #
Show AdditionalPropertiesString Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> AdditionalPropertiesString -> ShowS # show :: AdditionalPropertiesString -> String # showList :: [AdditionalPropertiesString] -> ShowS #
ToJSON AdditionalPropertiesString Source # | ToJSON AdditionalPropertiesString
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: AdditionalPropertiesString -> Value toEncoding :: AdditionalPropertiesString -> Encoding toJSONList :: [AdditionalPropertiesString] -> Value toEncodingList :: [AdditionalPropertiesString] -> Encoding
FromJSON AdditionalPropertiesString Source # | FromJSON AdditionalPropertiesString
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser AdditionalPropertiesString parseJSONList :: Value -> Parser [AdditionalPropertiesString]

mkAdditionalPropertiesString :: AdditionalPropertiesString Source #

Construct a value of type `AdditionalPropertiesString` (by applying it's required fields, if any)

## Animal

data Animal Source #

Animal

Constructors

Animal |

Fields

- animalClassName :: !Text

  Required "className"

- animalColor :: !(Maybe Text)

  "color"

#### Instances

Instances details

Eq Animal Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: Animal -> Animal -> Bool # (/=) :: Animal -> Animal -> Bool #
Show Animal Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> Animal -> ShowS # show :: Animal -> String # showList :: [Animal] -> ShowS #
ToJSON Animal Source # | ToJSON Animal
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: Animal -> Value toEncoding :: Animal -> Encoding toJSONList :: [Animal] -> Value toEncodingList :: [Animal] -> Encoding
FromJSON Animal Source # | FromJSON Animal
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser Animal parseJSONList :: Value -> Parser [Animal]

mkAnimal Source #

Arguments

:: Text | `animalClassName`
-> Animal |

Construct a value of type `Animal` (by applying it's required fields, if any)

## ApiResponse

data ApiResponse Source #

ApiResponse

Constructors

ApiResponse |

Fields

- apiResponseCode :: !(Maybe Int)

  "code"

- apiResponseType :: !(Maybe Text)

  "type"

- apiResponseMessage :: !(Maybe Text)

  "message"

#### Instances

Instances details

Eq ApiResponse Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: ApiResponse -> ApiResponse -> Bool # (/=) :: ApiResponse -> ApiResponse -> Bool #
Show ApiResponse Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> ApiResponse -> ShowS # show :: ApiResponse -> String # showList :: [ApiResponse] -> ShowS #
ToJSON ApiResponse Source # | ToJSON ApiResponse
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: ApiResponse -> Value toEncoding :: ApiResponse -> Encoding toJSONList :: [ApiResponse] -> Value toEncodingList :: [ApiResponse] -> Encoding
FromJSON ApiResponse Source # | FromJSON ApiResponse
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser ApiResponse parseJSONList :: Value -> Parser [ApiResponse]

mkApiResponse :: ApiResponse Source #

Construct a value of type `ApiResponse` (by applying it's required fields, if any)

## ArrayOfArrayOfNumberOnly

data ArrayOfArrayOfNumberOnly Source #

ArrayOfArrayOfNumberOnly

Constructors

ArrayOfArrayOfNumberOnly |

Fields

- arrayOfArrayOfNumberOnlyArrayArrayNumber :: !(Maybe [[Double]])

  ArrayArrayNumber

#### Instances

Instances details

Eq ArrayOfArrayOfNumberOnly Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: ArrayOfArrayOfNumberOnly -> ArrayOfArrayOfNumberOnly -> Bool # (/=) :: ArrayOfArrayOfNumberOnly -> ArrayOfArrayOfNumberOnly -> Bool #
Show ArrayOfArrayOfNumberOnly Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> ArrayOfArrayOfNumberOnly -> ShowS # show :: ArrayOfArrayOfNumberOnly -> String # showList :: [ArrayOfArrayOfNumberOnly] -> ShowS #
ToJSON ArrayOfArrayOfNumberOnly Source # | ToJSON ArrayOfArrayOfNumberOnly
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: ArrayOfArrayOfNumberOnly -> Value toEncoding :: ArrayOfArrayOfNumberOnly -> Encoding toJSONList :: [ArrayOfArrayOfNumberOnly] -> Value toEncodingList :: [ArrayOfArrayOfNumberOnly] -> Encoding
FromJSON ArrayOfArrayOfNumberOnly Source # | FromJSON ArrayOfArrayOfNumberOnly
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser ArrayOfArrayOfNumberOnly parseJSONList :: Value -> Parser [ArrayOfArrayOfNumberOnly]

mkArrayOfArrayOfNumberOnly :: ArrayOfArrayOfNumberOnly Source #

Construct a value of type `ArrayOfArrayOfNumberOnly` (by applying it's required fields, if any)

## ArrayOfNumberOnly

data ArrayOfNumberOnly Source #

ArrayOfNumberOnly

Constructors

ArrayOfNumberOnly |

Fields

- arrayOfNumberOnlyArrayNumber :: !(Maybe [Double])

  ArrayNumber

#### Instances

Instances details

Eq ArrayOfNumberOnly Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: ArrayOfNumberOnly -> ArrayOfNumberOnly -> Bool # (/=) :: ArrayOfNumberOnly -> ArrayOfNumberOnly -> Bool #
Show ArrayOfNumberOnly Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> ArrayOfNumberOnly -> ShowS # show :: ArrayOfNumberOnly -> String # showList :: [ArrayOfNumberOnly] -> ShowS #
ToJSON ArrayOfNumberOnly Source # | ToJSON ArrayOfNumberOnly
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: ArrayOfNumberOnly -> Value toEncoding :: ArrayOfNumberOnly -> Encoding toJSONList :: [ArrayOfNumberOnly] -> Value toEncodingList :: [ArrayOfNumberOnly] -> Encoding
FromJSON ArrayOfNumberOnly Source # | FromJSON ArrayOfNumberOnly
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser ArrayOfNumberOnly parseJSONList :: Value -> Parser [ArrayOfNumberOnly]

mkArrayOfNumberOnly :: ArrayOfNumberOnly Source #

Construct a value of type `ArrayOfNumberOnly` (by applying it's required fields, if any)

## ArrayTest

data ArrayTest Source #

ArrayTest

Constructors

ArrayTest |

Fields

- arrayTestArrayOfString :: !(Maybe [Text])

  "array_of_string"

- arrayTestArrayArrayOfInteger :: !(Maybe [[Integer]])

  "array_array_of_integer"

- arrayTestArrayArrayOfModel :: !(Maybe [[ReadOnlyFirst]])

  "array_array_of_model"

#### Instances

Instances details

Eq ArrayTest Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: ArrayTest -> ArrayTest -> Bool # (/=) :: ArrayTest -> ArrayTest -> Bool #
Show ArrayTest Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> ArrayTest -> ShowS # show :: ArrayTest -> String # showList :: [ArrayTest] -> ShowS #
ToJSON ArrayTest Source # | ToJSON ArrayTest
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: ArrayTest -> Value toEncoding :: ArrayTest -> Encoding toJSONList :: [ArrayTest] -> Value toEncodingList :: [ArrayTest] -> Encoding
FromJSON ArrayTest Source # | FromJSON ArrayTest
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser ArrayTest parseJSONList :: Value -> Parser [ArrayTest]

mkArrayTest :: ArrayTest Source #

Construct a value of type `ArrayTest` (by applying it's required fields, if any)

## BigCat

data BigCat Source #

BigCat

Constructors

BigCat |

Fields

- bigCatClassName :: !Text

  Required "className"

- bigCatColor :: !(Maybe Text)

  "color"

- bigCatDeclawed :: !(Maybe Bool)

  "declawed"

- bigCatKind :: !(Maybe E'Kind)

  "kind"

#### Instances

Instances details

Eq BigCat Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: BigCat -> BigCat -> Bool # (/=) :: BigCat -> BigCat -> Bool #
Show BigCat Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> BigCat -> ShowS # show :: BigCat -> String # showList :: [BigCat] -> ShowS #
ToJSON BigCat Source # | ToJSON BigCat
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: BigCat -> Value toEncoding :: BigCat -> Encoding toJSONList :: [BigCat] -> Value toEncodingList :: [BigCat] -> Encoding
FromJSON BigCat Source # | FromJSON BigCat
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser BigCat parseJSONList :: Value -> Parser [BigCat]

mkBigCat Source #

Arguments

:: Text | `bigCatClassName`
-> BigCat |

Construct a value of type `BigCat` (by applying it's required fields, if any)

## BigCatAllOf

data BigCatAllOf Source #

BigCatAllOf

Constructors

BigCatAllOf |

Fields

- bigCatAllOfKind :: !(Maybe E'Kind)

  "kind"

#### Instances

Instances details

Eq BigCatAllOf Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: BigCatAllOf -> BigCatAllOf -> Bool # (/=) :: BigCatAllOf -> BigCatAllOf -> Bool #
Show BigCatAllOf Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> BigCatAllOf -> ShowS # show :: BigCatAllOf -> String # showList :: [BigCatAllOf] -> ShowS #
ToJSON BigCatAllOf Source # | ToJSON BigCatAllOf
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: BigCatAllOf -> Value toEncoding :: BigCatAllOf -> Encoding toJSONList :: [BigCatAllOf] -> Value toEncodingList :: [BigCatAllOf] -> Encoding
FromJSON BigCatAllOf Source # | FromJSON BigCatAllOf
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser BigCatAllOf parseJSONList :: Value -> Parser [BigCatAllOf]

mkBigCatAllOf :: BigCatAllOf Source #

Construct a value of type `BigCatAllOf` (by applying it's required fields, if any)

## Capitalization

data Capitalization Source #

Capitalization

Constructors

Capitalization |

Fields

- capitalizationSmallCamel :: !(Maybe Text)

  "smallCamel"

- capitalizationCapitalCamel :: !(Maybe Text)

  CapitalCamel

- capitalizationSmallSnake :: !(Maybe Text)

  "small_Snake"

- capitalizationCapitalSnake :: !(Maybe Text)

  Capital_Snake

- capitalizationScaEthFlowPoints :: !(Maybe Text)

  SCA_ETH_Flow_Points

- capitalizationAttName :: !(Maybe Text)

  ATT_NAME - Name of the pet

#### Instances

Instances details

Eq Capitalization Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: Capitalization -> Capitalization -> Bool # (/=) :: Capitalization -> Capitalization -> Bool #
Show Capitalization Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> Capitalization -> ShowS # show :: Capitalization -> String # showList :: [Capitalization] -> ShowS #
ToJSON Capitalization Source # | ToJSON Capitalization
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: Capitalization -> Value toEncoding :: Capitalization -> Encoding toJSONList :: [Capitalization] -> Value toEncodingList :: [Capitalization] -> Encoding
FromJSON Capitalization Source # | FromJSON Capitalization
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser Capitalization parseJSONList :: Value -> Parser [Capitalization]

mkCapitalization :: Capitalization Source #

Construct a value of type `Capitalization` (by applying it's required fields, if any)

## Cat

data Cat Source #

Cat

Constructors

Cat |

Fields

- catClassName :: !Text

  Required "className"

- catColor :: !(Maybe Text)

  "color"

- catDeclawed :: !(Maybe Bool)

  "declawed"

#### Instances

Instances details

Eq Cat Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: Cat -> Cat -> Bool # (/=) :: Cat -> Cat -> Bool #
Show Cat Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> Cat -> ShowS # show :: Cat -> String # showList :: [Cat] -> ShowS #
ToJSON Cat Source # | ToJSON Cat
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: Cat -> Value toEncoding :: Cat -> Encoding toJSONList :: [Cat] -> Value toEncodingList :: [Cat] -> Encoding
FromJSON Cat Source # | FromJSON Cat
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser Cat parseJSONList :: Value -> Parser [Cat]

mkCat Source #

Arguments

:: Text | `catClassName`
-> Cat |

Construct a value of type `Cat` (by applying it's required fields, if any)

## CatAllOf

data CatAllOf Source #

CatAllOf

Constructors

CatAllOf |

Fields

- catAllOfDeclawed :: !(Maybe Bool)

  "declawed"

#### Instances

Instances details

Eq CatAllOf Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: CatAllOf -> CatAllOf -> Bool # (/=) :: CatAllOf -> CatAllOf -> Bool #
Show CatAllOf Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> CatAllOf -> ShowS # show :: CatAllOf -> String # showList :: [CatAllOf] -> ShowS #
ToJSON CatAllOf Source # | ToJSON CatAllOf
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: CatAllOf -> Value toEncoding :: CatAllOf -> Encoding toJSONList :: [CatAllOf] -> Value toEncodingList :: [CatAllOf] -> Encoding
FromJSON CatAllOf Source # | FromJSON CatAllOf
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser CatAllOf parseJSONList :: Value -> Parser [CatAllOf]

mkCatAllOf :: CatAllOf Source #

Construct a value of type `CatAllOf` (by applying it's required fields, if any)

## Category

data Category Source #

Category

Constructors

Category |

Fields

- categoryId :: !(Maybe Integer)

  "id"

- categoryName :: !Text

  Required "name"

#### Instances

Instances details

Eq Category Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: Category -> Category -> Bool # (/=) :: Category -> Category -> Bool #
Show Category Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> Category -> ShowS # show :: Category -> String # showList :: [Category] -> ShowS #
ToJSON Category Source # | ToJSON Category
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: Category -> Value toEncoding :: Category -> Encoding toJSONList :: [Category] -> Value toEncodingList :: [Category] -> Encoding
FromJSON Category Source # | FromJSON Category
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser Category parseJSONList :: Value -> Parser [Category]

mkCategory Source #

Arguments

:: Text | `categoryName`
-> Category |

Construct a value of type `Category` (by applying it's required fields, if any)

## ClassModel

data ClassModel Source #

ClassModel Model for testing model with "_class" property

Constructors

ClassModel |

Fields

- classModelClass :: !(Maybe Text)

  "_class"

#### Instances

Instances details

Eq ClassModel Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: ClassModel -> ClassModel -> Bool # (/=) :: ClassModel -> ClassModel -> Bool #
Show ClassModel Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> ClassModel -> ShowS # show :: ClassModel -> String # showList :: [ClassModel] -> ShowS #
ToJSON ClassModel Source # | ToJSON ClassModel
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: ClassModel -> Value toEncoding :: ClassModel -> Encoding toJSONList :: [ClassModel] -> Value toEncodingList :: [ClassModel] -> Encoding
FromJSON ClassModel Source # | FromJSON ClassModel
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser ClassModel parseJSONList :: Value -> Parser [ClassModel]

mkClassModel :: ClassModel Source #

Construct a value of type `ClassModel` (by applying it's required fields, if any)

## Client

data Client Source #

Client

Constructors

Client |

Fields

- clientClient :: !(Maybe Text)

  "client"

#### Instances

Instances details

Eq Client Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: Client -> Client -> Bool # (/=) :: Client -> Client -> Bool #
Show Client Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> Client -> ShowS # show :: Client -> String # showList :: [Client] -> ShowS #
ToJSON Client Source # | ToJSON Client
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: Client -> Value toEncoding :: Client -> Encoding toJSONList :: [Client] -> Value toEncodingList :: [Client] -> Encoding
FromJSON Client Source # | FromJSON Client
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser Client parseJSONList :: Value -> Parser [Client]
HasBodyParam TestClassname Client Source # | Body Param "body" - client model
Instance details Defined in OpenAPIPetstore.API.FakeClassnameTags123 Methods setBodyParam :: (Consumes TestClassname contentType, MimeRender contentType Client) => OpenAPIPetstoreRequest TestClassname contentType res accept -> Client -> OpenAPIPetstoreRequest TestClassname contentType res accept Source #
HasBodyParam TestClientModel Client Source # | Body Param "body" - client model
Instance details Defined in OpenAPIPetstore.API.Fake Methods setBodyParam :: (Consumes TestClientModel contentType, MimeRender contentType Client) => OpenAPIPetstoreRequest TestClientModel contentType res accept -> Client -> OpenAPIPetstoreRequest TestClientModel contentType res accept Source #
HasBodyParam Op123testSpecialTags Client Source # | Body Param "body" - client model
Instance details Defined in OpenAPIPetstore.API.AnotherFake Methods setBodyParam :: (Consumes Op123testSpecialTags contentType, MimeRender contentType Client) => OpenAPIPetstoreRequest Op123testSpecialTags contentType res accept -> Client -> OpenAPIPetstoreRequest Op123testSpecialTags contentType res accept Source #

mkClient :: Client Source #

Construct a value of type `Client` (by applying it's required fields, if any)

## Dog

data Dog Source #

Dog

Constructors

Dog |

Fields

- dogClassName :: !Text

  Required "className"

- dogColor :: !(Maybe Text)

  "color"

- dogBreed :: !(Maybe Text)

  "breed"

#### Instances

Instances details

Eq Dog Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: Dog -> Dog -> Bool # (/=) :: Dog -> Dog -> Bool #
Show Dog Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> Dog -> ShowS # show :: Dog -> String # showList :: [Dog] -> ShowS #
ToJSON Dog Source # | ToJSON Dog
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: Dog -> Value toEncoding :: Dog -> Encoding toJSONList :: [Dog] -> Value toEncodingList :: [Dog] -> Encoding
FromJSON Dog Source # | FromJSON Dog
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser Dog parseJSONList :: Value -> Parser [Dog]

mkDog Source #

Arguments

:: Text | `dogClassName`
-> Dog |

Construct a value of type `Dog` (by applying it's required fields, if any)

## DogAllOf

data DogAllOf Source #

DogAllOf

Constructors

DogAllOf |

Fields

- dogAllOfBreed :: !(Maybe Text)

  "breed"

#### Instances

Instances details

Eq DogAllOf Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: DogAllOf -> DogAllOf -> Bool # (/=) :: DogAllOf -> DogAllOf -> Bool #
Show DogAllOf Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> DogAllOf -> ShowS # show :: DogAllOf -> String # showList :: [DogAllOf] -> ShowS #
ToJSON DogAllOf Source # | ToJSON DogAllOf
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: DogAllOf -> Value toEncoding :: DogAllOf -> Encoding toJSONList :: [DogAllOf] -> Value toEncodingList :: [DogAllOf] -> Encoding
FromJSON DogAllOf Source # | FromJSON DogAllOf
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser DogAllOf parseJSONList :: Value -> Parser [DogAllOf]

mkDogAllOf :: DogAllOf Source #

Construct a value of type `DogAllOf` (by applying it's required fields, if any)

## EnumArrays

data EnumArrays Source #

EnumArrays

Constructors

EnumArrays |

Fields

- enumArraysJustSymbol :: !(Maybe E'JustSymbol)

  "just_symbol"

- enumArraysArrayEnum :: !(Maybe [E'ArrayEnum])

  "array_enum"

#### Instances

Instances details

Eq EnumArrays Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: EnumArrays -> EnumArrays -> Bool # (/=) :: EnumArrays -> EnumArrays -> Bool #
Show EnumArrays Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> EnumArrays -> ShowS # show :: EnumArrays -> String # showList :: [EnumArrays] -> ShowS #
ToJSON EnumArrays Source # | ToJSON EnumArrays
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: EnumArrays -> Value toEncoding :: EnumArrays -> Encoding toJSONList :: [EnumArrays] -> Value toEncodingList :: [EnumArrays] -> Encoding
FromJSON EnumArrays Source # | FromJSON EnumArrays
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser EnumArrays parseJSONList :: Value -> Parser [EnumArrays]

mkEnumArrays :: EnumArrays Source #

Construct a value of type `EnumArrays` (by applying it's required fields, if any)

## EnumTest

data EnumTest Source #

EnumTest

Constructors

EnumTest |

Fields

- enumTestEnumString :: !(Maybe E'EnumString)

  "enum_string"

- enumTestEnumStringRequired :: !E'EnumString

  Required "enum_string_required"

- enumTestEnumInteger :: !(Maybe E'EnumInteger)

  "enum_integer"

- enumTestEnumNumber :: !(Maybe E'EnumNumber)

  "enum_number"

- enumTestOuterEnum :: !(Maybe OuterEnum)

  "outerEnum"

#### Instances

Instances details

Eq EnumTest Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: EnumTest -> EnumTest -> Bool # (/=) :: EnumTest -> EnumTest -> Bool #
Show EnumTest Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> EnumTest -> ShowS # show :: EnumTest -> String # showList :: [EnumTest] -> ShowS #
ToJSON EnumTest Source # | ToJSON EnumTest
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: EnumTest -> Value toEncoding :: EnumTest -> Encoding toJSONList :: [EnumTest] -> Value toEncodingList :: [EnumTest] -> Encoding
FromJSON EnumTest Source # | FromJSON EnumTest
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser EnumTest parseJSONList :: Value -> Parser [EnumTest]

mkEnumTest Source #

Arguments

:: E'EnumString | `enumTestEnumStringRequired`
-> EnumTest |

Construct a value of type `EnumTest` (by applying it's required fields, if any)

## File

data File Source #

File Must be named `File` for test.

Constructors

File |

Fields

- fileSourceUri :: !(Maybe Text)

  "sourceURI" - Test capitalization

#### Instances

Instances details

Eq File Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: File -> File -> Bool # (/=) :: File -> File -> Bool #
Show File Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> File -> ShowS # show :: File -> String # showList :: [File] -> ShowS #
ToJSON File Source # | ToJSON File
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: File -> Value toEncoding :: File -> Encoding toJSONList :: [File] -> Value toEncodingList :: [File] -> Encoding
FromJSON File Source # | FromJSON File
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser File parseJSONList :: Value -> Parser [File]

mkFile :: File Source #

Construct a value of type `File` (by applying it's required fields, if any)

## FileSchemaTestClass

data FileSchemaTestClass Source #

FileSchemaTestClass

Constructors

FileSchemaTestClass |

Fields

- fileSchemaTestClassFile :: !(Maybe File)

  "file"

- fileSchemaTestClassFiles :: !(Maybe [File])

  "files"

#### Instances

Instances details

Eq FileSchemaTestClass Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: FileSchemaTestClass -> FileSchemaTestClass -> Bool # (/=) :: FileSchemaTestClass -> FileSchemaTestClass -> Bool #
Show FileSchemaTestClass Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> FileSchemaTestClass -> ShowS # show :: FileSchemaTestClass -> String # showList :: [FileSchemaTestClass] -> ShowS #
ToJSON FileSchemaTestClass Source # | ToJSON FileSchemaTestClass
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: FileSchemaTestClass -> Value toEncoding :: FileSchemaTestClass -> Encoding toJSONList :: [FileSchemaTestClass] -> Value toEncodingList :: [FileSchemaTestClass] -> Encoding
FromJSON FileSchemaTestClass Source # | FromJSON FileSchemaTestClass
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser FileSchemaTestClass parseJSONList :: Value -> Parser [FileSchemaTestClass]
HasBodyParam TestBodyWithFileSchema FileSchemaTestClass Source # |
Instance details Defined in OpenAPIPetstore.API.Fake Methods setBodyParam :: (Consumes TestBodyWithFileSchema contentType, MimeRender contentType FileSchemaTestClass) => OpenAPIPetstoreRequest TestBodyWithFileSchema contentType res accept -> FileSchemaTestClass -> OpenAPIPetstoreRequest TestBodyWithFileSchema contentType res accept Source #

mkFileSchemaTestClass :: FileSchemaTestClass Source #

Construct a value of type `FileSchemaTestClass` (by applying it's required fields, if any)

## FormatTest

data FormatTest Source #

FormatTest

Constructors

FormatTest |

Fields

- formatTestInteger :: !(Maybe Int)

  "integer"

- formatTestInt32 :: !(Maybe Int)

  "int32"

- formatTestInt64 :: !(Maybe Integer)

  "int64"

- formatTestNumber :: !Double

  Required "number"

- formatTestFloat :: !(Maybe Float)

  "float"

- formatTestDouble :: !(Maybe Double)

  "double"

- formatTestString :: !(Maybe Text)

  "string"

- formatTestByte :: !ByteArray

  Required "byte"

- formatTestBinary :: !(Maybe FilePath)

  "binary"

- formatTestDate :: !Date

  Required "date"

- formatTestDateTime :: !(Maybe DateTime)

  "dateTime"

- formatTestUuid :: !(Maybe Text)

  "uuid"

- formatTestPassword :: !Text

  Required "password"

- formatTestBigDecimal :: !(Maybe Double)

  BigDecimal

#### Instances

Instances details

Eq FormatTest Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: FormatTest -> FormatTest -> Bool # (/=) :: FormatTest -> FormatTest -> Bool #
Show FormatTest Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> FormatTest -> ShowS # show :: FormatTest -> String # showList :: [FormatTest] -> ShowS #
ToJSON FormatTest Source # | ToJSON FormatTest
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: FormatTest -> Value toEncoding :: FormatTest -> Encoding toJSONList :: [FormatTest] -> Value toEncodingList :: [FormatTest] -> Encoding
FromJSON FormatTest Source # | FromJSON FormatTest
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser FormatTest parseJSONList :: Value -> Parser [FormatTest]

mkFormatTest Source #

Arguments

:: Double | `formatTestNumber`
-> ByteArray | `formatTestByte`
-> Date | `formatTestDate`
-> Text | `formatTestPassword`
-> FormatTest |

Construct a value of type `FormatTest` (by applying it's required fields, if any)

## HasOnlyReadOnly

data HasOnlyReadOnly Source #

HasOnlyReadOnly

Constructors

HasOnlyReadOnly |

Fields

- hasOnlyReadOnlyBar :: !(Maybe Text)

  ReadOnly "bar"

- hasOnlyReadOnlyFoo :: !(Maybe Text)

  ReadOnly "foo"

#### Instances

Instances details

Eq HasOnlyReadOnly Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: HasOnlyReadOnly -> HasOnlyReadOnly -> Bool # (/=) :: HasOnlyReadOnly -> HasOnlyReadOnly -> Bool #
Show HasOnlyReadOnly Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> HasOnlyReadOnly -> ShowS # show :: HasOnlyReadOnly -> String # showList :: [HasOnlyReadOnly] -> ShowS #
ToJSON HasOnlyReadOnly Source # | ToJSON HasOnlyReadOnly
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: HasOnlyReadOnly -> Value toEncoding :: HasOnlyReadOnly -> Encoding toJSONList :: [HasOnlyReadOnly] -> Value toEncodingList :: [HasOnlyReadOnly] -> Encoding
FromJSON HasOnlyReadOnly Source # | FromJSON HasOnlyReadOnly
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser HasOnlyReadOnly parseJSONList :: Value -> Parser [HasOnlyReadOnly]

mkHasOnlyReadOnly :: HasOnlyReadOnly Source #

Construct a value of type `HasOnlyReadOnly` (by applying it's required fields, if any)

## MapTest

data MapTest Source #

MapTest

Constructors

MapTest |

Fields

- mapTestMapMapOfString :: !(Maybe (Map String (Map String Text)))

  "map_map_of_string"

- mapTestMapOfEnumString :: !(Maybe (Map String E'Inner))

  "map_of_enum_string"

- mapTestDirectMap :: !(Maybe (Map String Bool))

  "direct_map"

- mapTestIndirectMap :: !(Maybe (Map String Bool))

  "indirect_map"

#### Instances

Instances details

Eq MapTest Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: MapTest -> MapTest -> Bool # (/=) :: MapTest -> MapTest -> Bool #
Show MapTest Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> MapTest -> ShowS # show :: MapTest -> String # showList :: [MapTest] -> ShowS #
ToJSON MapTest Source # | ToJSON MapTest
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: MapTest -> Value toEncoding :: MapTest -> Encoding toJSONList :: [MapTest] -> Value toEncodingList :: [MapTest] -> Encoding
FromJSON MapTest Source # | FromJSON MapTest
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser MapTest parseJSONList :: Value -> Parser [MapTest]

mkMapTest :: MapTest Source #

Construct a value of type `MapTest` (by applying it's required fields, if any)

## MixedPropertiesAndAdditionalPropertiesClass

data MixedPropertiesAndAdditionalPropertiesClass Source #

MixedPropertiesAndAdditionalPropertiesClass

Constructors

MixedPropertiesAndAdditionalPropertiesClass |

Fields

- mixedPropertiesAndAdditionalPropertiesClassUuid :: !(Maybe Text)

  "uuid"

- mixedPropertiesAndAdditionalPropertiesClassDateTime :: !(Maybe DateTime)

  "dateTime"

- mixedPropertiesAndAdditionalPropertiesClassMap :: !(Maybe (Map String Animal))

  "map"

#### Instances

Instances details

Eq MixedPropertiesAndAdditionalPropertiesClass Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: MixedPropertiesAndAdditionalPropertiesClass -> MixedPropertiesAndAdditionalPropertiesClass -> Bool # (/=) :: MixedPropertiesAndAdditionalPropertiesClass -> MixedPropertiesAndAdditionalPropertiesClass -> Bool #
Show MixedPropertiesAndAdditionalPropertiesClass Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> MixedPropertiesAndAdditionalPropertiesClass -> ShowS # show :: MixedPropertiesAndAdditionalPropertiesClass -> String # showList :: [MixedPropertiesAndAdditionalPropertiesClass] -> ShowS #
ToJSON MixedPropertiesAndAdditionalPropertiesClass Source # | ToJSON MixedPropertiesAndAdditionalPropertiesClass
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: MixedPropertiesAndAdditionalPropertiesClass -> Value toEncoding :: MixedPropertiesAndAdditionalPropertiesClass -> Encoding toJSONList :: [MixedPropertiesAndAdditionalPropertiesClass] -> Value toEncodingList :: [MixedPropertiesAndAdditionalPropertiesClass] -> Encoding
FromJSON MixedPropertiesAndAdditionalPropertiesClass Source # | FromJSON MixedPropertiesAndAdditionalPropertiesClass
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser MixedPropertiesAndAdditionalPropertiesClass parseJSONList :: Value -> Parser [MixedPropertiesAndAdditionalPropertiesClass]

mkMixedPropertiesAndAdditionalPropertiesClass :: MixedPropertiesAndAdditionalPropertiesClass Source #

Construct a value of type `MixedPropertiesAndAdditionalPropertiesClass` (by applying it's required fields, if any)

## Model200Response

data Model200Response Source #

Model200Response Model for testing model name starting with number

Constructors

Model200Response |

Fields

- model200ResponseName :: !(Maybe Int)

  "name"

- model200ResponseClass :: !(Maybe Text)

  "class"

#### Instances

Instances details

Eq Model200Response Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: Model200Response -> Model200Response -> Bool # (/=) :: Model200Response -> Model200Response -> Bool #
Show Model200Response Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> Model200Response -> ShowS # show :: Model200Response -> String # showList :: [Model200Response] -> ShowS #
ToJSON Model200Response Source # | ToJSON Model200Response
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: Model200Response -> Value toEncoding :: Model200Response -> Encoding toJSONList :: [Model200Response] -> Value toEncodingList :: [Model200Response] -> Encoding
FromJSON Model200Response Source # | FromJSON Model200Response
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser Model200Response parseJSONList :: Value -> Parser [Model200Response]

mkModel200Response :: Model200Response Source #

Construct a value of type `Model200Response` (by applying it's required fields, if any)

## ModelList

data ModelList Source #

ModelList

Constructors

ModelList |

Fields

- modelList123list :: !(Maybe Text)

  "123-list"

#### Instances

Instances details

Eq ModelList Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: ModelList -> ModelList -> Bool # (/=) :: ModelList -> ModelList -> Bool #
Show ModelList Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> ModelList -> ShowS # show :: ModelList -> String # showList :: [ModelList] -> ShowS #
ToJSON ModelList Source # | ToJSON ModelList
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: ModelList -> Value toEncoding :: ModelList -> Encoding toJSONList :: [ModelList] -> Value toEncodingList :: [ModelList] -> Encoding
FromJSON ModelList Source # | FromJSON ModelList
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser ModelList parseJSONList :: Value -> Parser [ModelList]

mkModelList :: ModelList Source #

Construct a value of type `ModelList` (by applying it's required fields, if any)

## ModelReturn

data ModelReturn Source #

ModelReturn Model for testing reserved words

Constructors

ModelReturn |

Fields

- modelReturnReturn :: !(Maybe Int)

  "return"

#### Instances

Instances details

Eq ModelReturn Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: ModelReturn -> ModelReturn -> Bool # (/=) :: ModelReturn -> ModelReturn -> Bool #
Show ModelReturn Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> ModelReturn -> ShowS # show :: ModelReturn -> String # showList :: [ModelReturn] -> ShowS #
ToJSON ModelReturn Source # | ToJSON ModelReturn
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: ModelReturn -> Value toEncoding :: ModelReturn -> Encoding toJSONList :: [ModelReturn] -> Value toEncodingList :: [ModelReturn] -> Encoding
FromJSON ModelReturn Source # | FromJSON ModelReturn
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser ModelReturn parseJSONList :: Value -> Parser [ModelReturn]

mkModelReturn :: ModelReturn Source #

Construct a value of type `ModelReturn` (by applying it's required fields, if any)

## Name

data Name Source #

Name Model for testing model name same as property name

Constructors

Name |

Fields

- nameName :: !Int

  Required "name"

- nameSnakeCase :: !(Maybe Int)

  ReadOnly "snake_case"

- nameProperty :: !(Maybe Text)

  "property"

- name123number :: !(Maybe Int)

  ReadOnly "123Number"

#### Instances

Instances details

Eq Name Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: Name -> Name -> Bool # (/=) :: Name -> Name -> Bool #
Show Name Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> Name -> ShowS # show :: Name -> String # showList :: [Name] -> ShowS #
ToJSON Name Source # | ToJSON Name
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: Name -> Value toEncoding :: Name -> Encoding toJSONList :: [Name] -> Value toEncodingList :: [Name] -> Encoding
FromJSON Name Source # | FromJSON Name
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser Name parseJSONList :: Value -> Parser [Name]

mkName Source #

Arguments

:: Int | `nameName`
-> Name |

Construct a value of type `Name` (by applying it's required fields, if any)

## NumberOnly

data NumberOnly Source #

NumberOnly

Constructors

NumberOnly |

Fields

- numberOnlyJustNumber :: !(Maybe Double)

  JustNumber

#### Instances

Instances details

Eq NumberOnly Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: NumberOnly -> NumberOnly -> Bool # (/=) :: NumberOnly -> NumberOnly -> Bool #
Show NumberOnly Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> NumberOnly -> ShowS # show :: NumberOnly -> String # showList :: [NumberOnly] -> ShowS #
ToJSON NumberOnly Source # | ToJSON NumberOnly
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: NumberOnly -> Value toEncoding :: NumberOnly -> Encoding toJSONList :: [NumberOnly] -> Value toEncodingList :: [NumberOnly] -> Encoding
FromJSON NumberOnly Source # | FromJSON NumberOnly
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser NumberOnly parseJSONList :: Value -> Parser [NumberOnly]

mkNumberOnly :: NumberOnly Source #

Construct a value of type `NumberOnly` (by applying it's required fields, if any)

## Order

data Order Source #

Order

Constructors

Order |

Fields

- orderId :: !(Maybe Integer)

  "id"

- orderPetId :: !(Maybe Integer)

  "petId"

- orderQuantity :: !(Maybe Int)

  "quantity"

- orderShipDate :: !(Maybe DateTime)

  "shipDate"

- orderStatus :: !(Maybe E'Status)

  "status" - Order Status

- orderComplete :: !(Maybe Bool)

  "complete"

#### Instances

Instances details

Eq Order Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: Order -> Order -> Bool # (/=) :: Order -> Order -> Bool #
Show Order Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> Order -> ShowS # show :: Order -> String # showList :: [Order] -> ShowS #
ToJSON Order Source # | ToJSON Order
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: Order -> Value toEncoding :: Order -> Encoding toJSONList :: [Order] -> Value toEncodingList :: [Order] -> Encoding
FromJSON Order Source # | FromJSON Order
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser Order parseJSONList :: Value -> Parser [Order]
HasBodyParam PlaceOrder Order Source # | Body Param "body" - order placed for purchasing the pet
Instance details Defined in OpenAPIPetstore.API.Store Methods setBodyParam :: (Consumes PlaceOrder contentType, MimeRender contentType Order) => OpenAPIPetstoreRequest PlaceOrder contentType res accept -> Order -> OpenAPIPetstoreRequest PlaceOrder contentType res accept Source #

mkOrder :: Order Source #

Construct a value of type `Order` (by applying it's required fields, if any)

## OuterComposite

data OuterComposite Source #

OuterComposite

Constructors

OuterComposite |

Fields

- outerCompositeMyNumber :: !(Maybe Double)

  "my_number"

- outerCompositeMyString :: !(Maybe Text)

  "my_string"

- outerCompositeMyBoolean :: !(Maybe Bool)

  "my_boolean"

#### Instances

Instances details

Eq OuterComposite Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: OuterComposite -> OuterComposite -> Bool # (/=) :: OuterComposite -> OuterComposite -> Bool #
Show OuterComposite Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> OuterComposite -> ShowS # show :: OuterComposite -> String # showList :: [OuterComposite] -> ShowS #
ToJSON OuterComposite Source # | ToJSON OuterComposite
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: OuterComposite -> Value toEncoding :: OuterComposite -> Encoding toJSONList :: [OuterComposite] -> Value toEncodingList :: [OuterComposite] -> Encoding
FromJSON OuterComposite Source # | FromJSON OuterComposite
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser OuterComposite parseJSONList :: Value -> Parser [OuterComposite]
HasBodyParam FakeOuterCompositeSerialize OuterComposite Source # | Body Param "body" - Input composite as post body
Instance details Defined in OpenAPIPetstore.API.Fake Methods setBodyParam :: (Consumes FakeOuterCompositeSerialize contentType, MimeRender contentType OuterComposite) => OpenAPIPetstoreRequest FakeOuterCompositeSerialize contentType res accept -> OuterComposite -> OpenAPIPetstoreRequest FakeOuterCompositeSerialize contentType res accept Source #

mkOuterComposite :: OuterComposite Source #

Construct a value of type `OuterComposite` (by applying it's required fields, if any)

## Pet

data Pet Source #

Pet

Constructors

Pet |

Fields

- petId :: !(Maybe Integer)

  "id"

- petCategory :: !(Maybe Category)

  "category"

- petName :: !Text

  Required "name"

- petPhotoUrls :: ![Text]

  Required "photoUrls"

- petTags :: !(Maybe [Tag])

  "tags"

- petStatus :: !(Maybe E'Status2)

  "status" - pet status in the store

#### Instances

Instances details

Eq Pet Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: Pet -> Pet -> Bool # (/=) :: Pet -> Pet -> Bool #
Show Pet Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> Pet -> ShowS # show :: Pet -> String # showList :: [Pet] -> ShowS #
ToJSON Pet Source # | ToJSON Pet
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: Pet -> Value toEncoding :: Pet -> Encoding toJSONList :: [Pet] -> Value toEncodingList :: [Pet] -> Encoding
FromJSON Pet Source # | FromJSON Pet
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser Pet parseJSONList :: Value -> Parser [Pet]
HasBodyParam UpdatePet Pet Source # | Body Param "body" - Pet object that needs to be added to the store
Instance details Defined in OpenAPIPetstore.API.Pet Methods setBodyParam :: (Consumes UpdatePet contentType, MimeRender contentType Pet) => OpenAPIPetstoreRequest UpdatePet contentType res accept -> Pet -> OpenAPIPetstoreRequest UpdatePet contentType res accept Source #
HasBodyParam AddPet Pet Source # | Body Param "body" - Pet object that needs to be added to the store
Instance details Defined in OpenAPIPetstore.API.Pet Methods setBodyParam :: (Consumes AddPet contentType, MimeRender contentType Pet) => OpenAPIPetstoreRequest AddPet contentType res accept -> Pet -> OpenAPIPetstoreRequest AddPet contentType res accept Source #

mkPet Source #

Arguments

:: Text | `petName`
-> [Text] | `petPhotoUrls`
-> Pet |

Construct a value of type `Pet` (by applying it's required fields, if any)

## ReadOnlyFirst

data ReadOnlyFirst Source #

ReadOnlyFirst

Constructors

ReadOnlyFirst |

Fields

- readOnlyFirstBar :: !(Maybe Text)

  ReadOnly "bar"

- readOnlyFirstBaz :: !(Maybe Text)

  "baz"

#### Instances

Instances details

Eq ReadOnlyFirst Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: ReadOnlyFirst -> ReadOnlyFirst -> Bool # (/=) :: ReadOnlyFirst -> ReadOnlyFirst -> Bool #
Show ReadOnlyFirst Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> ReadOnlyFirst -> ShowS # show :: ReadOnlyFirst -> String # showList :: [ReadOnlyFirst] -> ShowS #
ToJSON ReadOnlyFirst Source # | ToJSON ReadOnlyFirst
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: ReadOnlyFirst -> Value toEncoding :: ReadOnlyFirst -> Encoding toJSONList :: [ReadOnlyFirst] -> Value toEncodingList :: [ReadOnlyFirst] -> Encoding
FromJSON ReadOnlyFirst Source # | FromJSON ReadOnlyFirst
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser ReadOnlyFirst parseJSONList :: Value -> Parser [ReadOnlyFirst]

mkReadOnlyFirst :: ReadOnlyFirst Source #

Construct a value of type `ReadOnlyFirst` (by applying it's required fields, if any)

## SpecialModelName

data SpecialModelName Source #

SpecialModelName

Constructors

SpecialModelName |

Fields

- specialModelNameSpecialPropertyName :: !(Maybe Integer)

  "$special[property.name]"

#### Instances

Instances details

Eq SpecialModelName Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: SpecialModelName -> SpecialModelName -> Bool # (/=) :: SpecialModelName -> SpecialModelName -> Bool #
Show SpecialModelName Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> SpecialModelName -> ShowS # show :: SpecialModelName -> String # showList :: [SpecialModelName] -> ShowS #
ToJSON SpecialModelName Source # | ToJSON SpecialModelName
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: SpecialModelName -> Value toEncoding :: SpecialModelName -> Encoding toJSONList :: [SpecialModelName] -> Value toEncodingList :: [SpecialModelName] -> Encoding
FromJSON SpecialModelName Source # | FromJSON SpecialModelName
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser SpecialModelName parseJSONList :: Value -> Parser [SpecialModelName]

mkSpecialModelName :: SpecialModelName Source #

Construct a value of type `SpecialModelName` (by applying it's required fields, if any)

## Tag

data Tag Source #

Tag

Constructors

Tag |

Fields

- tagId :: !(Maybe Integer)

  "id"

- tagName :: !(Maybe Text)

  "name"

#### Instances

Instances details

Eq Tag Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: Tag -> Tag -> Bool # (/=) :: Tag -> Tag -> Bool #
Show Tag Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> Tag -> ShowS # show :: Tag -> String # showList :: [Tag] -> ShowS #
ToJSON Tag Source # | ToJSON Tag
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: Tag -> Value toEncoding :: Tag -> Encoding toJSONList :: [Tag] -> Value toEncodingList :: [Tag] -> Encoding
FromJSON Tag Source # | FromJSON Tag
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser Tag parseJSONList :: Value -> Parser [Tag]

mkTag :: Tag Source #

Construct a value of type `Tag` (by applying it's required fields, if any)

## TypeHolderDefault

data TypeHolderDefault Source #

TypeHolderDefault

Constructors

TypeHolderDefault |

Fields

- typeHolderDefaultStringItem :: !Text

  Required "string_item"

- typeHolderDefaultNumberItem :: !Double

  Required "number_item"

- typeHolderDefaultIntegerItem :: !Int

  Required "integer_item"

- typeHolderDefaultBoolItem :: !Bool

  Required "bool_item"

- typeHolderDefaultArrayItem :: ![Int]

  Required "array_item"

#### Instances

Instances details

Eq TypeHolderDefault Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: TypeHolderDefault -> TypeHolderDefault -> Bool # (/=) :: TypeHolderDefault -> TypeHolderDefault -> Bool #
Show TypeHolderDefault Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> TypeHolderDefault -> ShowS # show :: TypeHolderDefault -> String # showList :: [TypeHolderDefault] -> ShowS #
ToJSON TypeHolderDefault Source # | ToJSON TypeHolderDefault
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: TypeHolderDefault -> Value toEncoding :: TypeHolderDefault -> Encoding toJSONList :: [TypeHolderDefault] -> Value toEncodingList :: [TypeHolderDefault] -> Encoding
FromJSON TypeHolderDefault Source # | FromJSON TypeHolderDefault
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser TypeHolderDefault parseJSONList :: Value -> Parser [TypeHolderDefault]

mkTypeHolderDefault Source #

Arguments

:: Text | `typeHolderDefaultStringItem`
-> Double | `typeHolderDefaultNumberItem`
-> Int | `typeHolderDefaultIntegerItem`
-> Bool | `typeHolderDefaultBoolItem`
-> [Int] | `typeHolderDefaultArrayItem`
-> TypeHolderDefault |

Construct a value of type `TypeHolderDefault` (by applying it's required fields, if any)

## TypeHolderExample

data TypeHolderExample Source #

TypeHolderExample

Constructors

TypeHolderExample |

Fields

- typeHolderExampleStringItem :: !Text

  Required "string_item"

- typeHolderExampleNumberItem :: !Double

  Required "number_item"

- typeHolderExampleFloatItem :: !Float

  Required "float_item"

- typeHolderExampleIntegerItem :: !Int

  Required "integer_item"

- typeHolderExampleBoolItem :: !Bool

  Required "bool_item"

- typeHolderExampleArrayItem :: ![Int]

  Required "array_item"

#### Instances

Instances details

Eq TypeHolderExample Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: TypeHolderExample -> TypeHolderExample -> Bool # (/=) :: TypeHolderExample -> TypeHolderExample -> Bool #
Show TypeHolderExample Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> TypeHolderExample -> ShowS # show :: TypeHolderExample -> String # showList :: [TypeHolderExample] -> ShowS #
ToJSON TypeHolderExample Source # | ToJSON TypeHolderExample
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: TypeHolderExample -> Value toEncoding :: TypeHolderExample -> Encoding toJSONList :: [TypeHolderExample] -> Value toEncodingList :: [TypeHolderExample] -> Encoding
FromJSON TypeHolderExample Source # | FromJSON TypeHolderExample
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser TypeHolderExample parseJSONList :: Value -> Parser [TypeHolderExample]

mkTypeHolderExample Source #

Arguments

:: Text | `typeHolderExampleStringItem`
-> Double | `typeHolderExampleNumberItem`
-> Float | `typeHolderExampleFloatItem`
-> Int | `typeHolderExampleIntegerItem`
-> Bool | `typeHolderExampleBoolItem`
-> [Int] | `typeHolderExampleArrayItem`
-> TypeHolderExample |

Construct a value of type `TypeHolderExample` (by applying it's required fields, if any)

## User

data User Source #

User

Constructors

User |

Fields

- userId :: !(Maybe Integer)

  "id"

- userUsername :: !(Maybe Text)

  "username"

- userFirstName :: !(Maybe Text)

  "firstName"

- userLastName :: !(Maybe Text)

  "lastName"

- userEmail :: !(Maybe Text)

  "email"

- userPassword :: !(Maybe Text)

  "password"

- userPhone :: !(Maybe Text)

  "phone"

- userUserStatus :: !(Maybe Int)

  "userStatus" - User Status

#### Instances

Instances details

Eq User Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: User -> User -> Bool # (/=) :: User -> User -> Bool #
Show User Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> User -> ShowS # show :: User -> String # showList :: [User] -> ShowS #
ToJSON User Source # | ToJSON User
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: User -> Value toEncoding :: User -> Encoding toJSONList :: [User] -> Value toEncodingList :: [User] -> Encoding
FromJSON User Source # | FromJSON User
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser User parseJSONList :: Value -> Parser [User]
HasBodyParam UpdateUser User Source # | Body Param "body" - Updated user object
Instance details Defined in OpenAPIPetstore.API.User Methods setBodyParam :: (Consumes UpdateUser contentType, MimeRender contentType User) => OpenAPIPetstoreRequest UpdateUser contentType res accept -> User -> OpenAPIPetstoreRequest UpdateUser contentType res accept Source #
HasBodyParam CreateUser User Source # | Body Param "body" - Created user object
Instance details Defined in OpenAPIPetstore.API.User Methods setBodyParam :: (Consumes CreateUser contentType, MimeRender contentType User) => OpenAPIPetstoreRequest CreateUser contentType res accept -> User -> OpenAPIPetstoreRequest CreateUser contentType res accept Source #
HasBodyParam TestBodyWithQueryParams User Source # |
Instance details Defined in OpenAPIPetstore.API.Fake Methods setBodyParam :: (Consumes TestBodyWithQueryParams contentType, MimeRender contentType User) => OpenAPIPetstoreRequest TestBodyWithQueryParams contentType res accept -> User -> OpenAPIPetstoreRequest TestBodyWithQueryParams contentType res accept Source #

mkUser :: User Source #

Construct a value of type `User` (by applying it's required fields, if any)

## XmlItem

data XmlItem Source #

XmlItem

Constructors

XmlItem |

Fields

- xmlItemAttributeString :: !(Maybe Text)

  "attribute_string"

- xmlItemAttributeNumber :: !(Maybe Double)

  "attribute_number"

- xmlItemAttributeInteger :: !(Maybe Int)

  "attribute_integer"

- xmlItemAttributeBoolean :: !(Maybe Bool)

  "attribute_boolean"

- xmlItemWrappedArray :: !(Maybe [Int])

  "wrapped_array"

- xmlItemNameString :: !(Maybe Text)

  "name_string"

- xmlItemNameNumber :: !(Maybe Double)

  "name_number"

- xmlItemNameInteger :: !(Maybe Int)

  "name_integer"

- xmlItemNameBoolean :: !(Maybe Bool)

  "name_boolean"

- xmlItemNameArray :: !(Maybe [Int])

  "name_array"

- xmlItemNameWrappedArray :: !(Maybe [Int])

  "name_wrapped_array"

- xmlItemPrefixString :: !(Maybe Text)

  "prefix_string"

- xmlItemPrefixNumber :: !(Maybe Double)

  "prefix_number"

- xmlItemPrefixInteger :: !(Maybe Int)

  "prefix_integer"

- xmlItemPrefixBoolean :: !(Maybe Bool)

  "prefix_boolean"

- xmlItemPrefixArray :: !(Maybe [Int])

  "prefix_array"

- xmlItemPrefixWrappedArray :: !(Maybe [Int])

  "prefix_wrapped_array"

- xmlItemNamespaceString :: !(Maybe Text)

  "namespace_string"

- xmlItemNamespaceNumber :: !(Maybe Double)

  "namespace_number"

- xmlItemNamespaceInteger :: !(Maybe Int)

  "namespace_integer"

- xmlItemNamespaceBoolean :: !(Maybe Bool)

  "namespace_boolean"

- xmlItemNamespaceArray :: !(Maybe [Int])

  "namespace_array"

- xmlItemNamespaceWrappedArray :: !(Maybe [Int])

  "namespace_wrapped_array"

- xmlItemPrefixNsString :: !(Maybe Text)

  "prefix_ns_string"

- xmlItemPrefixNsNumber :: !(Maybe Double)

  "prefix_ns_number"

- xmlItemPrefixNsInteger :: !(Maybe Int)

  "prefix_ns_integer"

- xmlItemPrefixNsBoolean :: !(Maybe Bool)

  "prefix_ns_boolean"

- xmlItemPrefixNsArray :: !(Maybe [Int])

  "prefix_ns_array"

- xmlItemPrefixNsWrappedArray :: !(Maybe [Int])

  "prefix_ns_wrapped_array"

#### Instances

Instances details

Eq XmlItem Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: XmlItem -> XmlItem -> Bool # (/=) :: XmlItem -> XmlItem -> Bool #
Show XmlItem Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> XmlItem -> ShowS # show :: XmlItem -> String # showList :: [XmlItem] -> ShowS #
ToJSON XmlItem Source # | ToJSON XmlItem
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: XmlItem -> Value toEncoding :: XmlItem -> Encoding toJSONList :: [XmlItem] -> Value toEncodingList :: [XmlItem] -> Encoding
FromJSON XmlItem Source # | FromJSON XmlItem
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser XmlItem parseJSONList :: Value -> Parser [XmlItem]
HasBodyParam CreateXmlItem XmlItem Source # | Body Param XmlItem - XmlItem Body
Instance details Defined in OpenAPIPetstore.API.Fake Methods setBodyParam :: (Consumes CreateXmlItem contentType, MimeRender contentType XmlItem) => OpenAPIPetstoreRequest CreateXmlItem contentType res accept -> XmlItem -> OpenAPIPetstoreRequest CreateXmlItem contentType res accept Source #

mkXmlItem :: XmlItem Source #

Construct a value of type `XmlItem` (by applying it's required fields, if any)

# Enums

## E'ArrayEnum

data E'ArrayEnum Source #

Enum of `Text`

Constructors

E'ArrayEnum'Fish

    "fish"

E'ArrayEnum'Crab

    "crab"

#### Instances

Instances details

Bounded E'ArrayEnum Source # |
Instance details Defined in OpenAPIPetstore.Model Methods minBound :: E'ArrayEnum # maxBound :: E'ArrayEnum #
Enum E'ArrayEnum Source # |

Instance details

Defined in OpenAPIPetstore.Model

Methods

succ :: E'ArrayEnum -> E'ArrayEnum #

pred :: E'ArrayEnum -> E'ArrayEnum #

toEnum :: Int -> E'ArrayEnum #

fromEnum :: E'ArrayEnum -> Int #

enumFrom :: E'ArrayEnum -> [E'ArrayEnum] #

enumFromThen :: E'ArrayEnum -> E'ArrayEnum -> [E'ArrayEnum] #

enumFromTo :: E'ArrayEnum -> E'ArrayEnum -> [E'ArrayEnum] #

enumFromThenTo :: E'ArrayEnum -> E'ArrayEnum -> E'ArrayEnum -> [E'ArrayEnum] #

Eq E'ArrayEnum Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: E'ArrayEnum -> E'ArrayEnum -> Bool # (/=) :: E'ArrayEnum -> E'ArrayEnum -> Bool #
Ord E'ArrayEnum Source # |
Instance details Defined in OpenAPIPetstore.Model Methods compare :: E'ArrayEnum -> E'ArrayEnum -> Ordering # (<) :: E'ArrayEnum -> E'ArrayEnum -> Bool # (<=) :: E'ArrayEnum -> E'ArrayEnum -> Bool # (>) :: E'ArrayEnum -> E'ArrayEnum -> Bool # (>=) :: E'ArrayEnum -> E'ArrayEnum -> Bool # max :: E'ArrayEnum -> E'ArrayEnum -> E'ArrayEnum # min :: E'ArrayEnum -> E'ArrayEnum -> E'ArrayEnum #
Show E'ArrayEnum Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> E'ArrayEnum -> ShowS # show :: E'ArrayEnum -> String # showList :: [E'ArrayEnum] -> ShowS #
ToJSON E'ArrayEnum Source # |
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: E'ArrayEnum -> Value toEncoding :: E'ArrayEnum -> Encoding toJSONList :: [E'ArrayEnum] -> Value toEncodingList :: [E'ArrayEnum] -> Encoding
FromJSON E'ArrayEnum Source # |
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser E'ArrayEnum parseJSONList :: Value -> Parser [E'ArrayEnum]
FromHttpApiData E'ArrayEnum Source # |
Instance details Defined in OpenAPIPetstore.Model Methods parseUrlPiece :: Text -> Either Text E'ArrayEnum parseHeader :: ByteString -> Either Text E'ArrayEnum parseQueryParam :: Text -> Either Text E'ArrayEnum
ToHttpApiData E'ArrayEnum Source # |
Instance details Defined in OpenAPIPetstore.Model Methods toUrlPiece :: E'ArrayEnum -> Text toEncodedUrlPiece :: E'ArrayEnum -> Builder toHeader :: E'ArrayEnum -> ByteString toQueryParam :: E'ArrayEnum -> Text
MimeRender MimeMultipartFormData E'ArrayEnum Source # |
Instance details Defined in OpenAPIPetstore.Model Methods mimeRender :: Proxy MimeMultipartFormData -> E'ArrayEnum -> ByteString Source # mimeRender' :: MimeMultipartFormData -> E'ArrayEnum -> ByteString Source #

fromE'ArrayEnum :: E'ArrayEnum -> Text Source #

unwrap `E'ArrayEnum` enum

toE'ArrayEnum :: Text -> Either String E'ArrayEnum Source #

parse `E'ArrayEnum` enum

## E'EnumFormString

data E'EnumFormString Source #

Enum of `Text` . Form parameter enum test (string)

Constructors

E'EnumFormString'_abc

    "_abc"

E'EnumFormString'_efg

    "-efg"

E'EnumFormString'_xyz

    "(xyz)"

#### Instances

Instances details

Bounded E'EnumFormString Source # |
Instance details Defined in OpenAPIPetstore.Model Methods minBound :: E'EnumFormString # maxBound :: E'EnumFormString #
Enum E'EnumFormString Source # |

Instance details

Defined in OpenAPIPetstore.Model

Methods

succ :: E'EnumFormString -> E'EnumFormString #

pred :: E'EnumFormString -> E'EnumFormString #

toEnum :: Int -> E'EnumFormString #

fromEnum :: E'EnumFormString -> Int #

enumFrom :: E'EnumFormString -> [E'EnumFormString] #

enumFromThen :: E'EnumFormString -> E'EnumFormString -> [E'EnumFormString] #

enumFromTo :: E'EnumFormString -> E'EnumFormString -> [E'EnumFormString] #

enumFromThenTo :: E'EnumFormString -> E'EnumFormString -> E'EnumFormString -> [E'EnumFormString] #

Eq E'EnumFormString Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: E'EnumFormString -> E'EnumFormString -> Bool # (/=) :: E'EnumFormString -> E'EnumFormString -> Bool #
Ord E'EnumFormString Source # |

Instance details

Defined in OpenAPIPetstore.Model

Methods

compare :: E'EnumFormString -> E'EnumFormString -> Ordering #

(<) :: E'EnumFormString -> E'EnumFormString -> Bool #

(<=) :: E'EnumFormString -> E'EnumFormString -> Bool #

(>) :: E'EnumFormString -> E'EnumFormString -> Bool #

(>=) :: E'EnumFormString -> E'EnumFormString -> Bool #

max :: E'EnumFormString -> E'EnumFormString -> E'EnumFormString #

min :: E'EnumFormString -> E'EnumFormString -> E'EnumFormString #

Show E'EnumFormString Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> E'EnumFormString -> ShowS # show :: E'EnumFormString -> String # showList :: [E'EnumFormString] -> ShowS #
ToJSON E'EnumFormString Source # |
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: E'EnumFormString -> Value toEncoding :: E'EnumFormString -> Encoding toJSONList :: [E'EnumFormString] -> Value toEncodingList :: [E'EnumFormString] -> Encoding
FromJSON E'EnumFormString Source # |
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser E'EnumFormString parseJSONList :: Value -> Parser [E'EnumFormString]
FromHttpApiData E'EnumFormString Source # |
Instance details Defined in OpenAPIPetstore.Model Methods parseUrlPiece :: Text -> Either Text E'EnumFormString parseHeader :: ByteString -> Either Text E'EnumFormString parseQueryParam :: Text -> Either Text E'EnumFormString
ToHttpApiData E'EnumFormString Source # |
Instance details Defined in OpenAPIPetstore.Model Methods toUrlPiece :: E'EnumFormString -> Text toEncodedUrlPiece :: E'EnumFormString -> Builder toHeader :: E'EnumFormString -> ByteString toQueryParam :: E'EnumFormString -> Text
MimeRender MimeMultipartFormData E'EnumFormString Source # |
Instance details Defined in OpenAPIPetstore.Model Methods mimeRender :: Proxy MimeMultipartFormData -> E'EnumFormString -> ByteString Source # mimeRender' :: MimeMultipartFormData -> E'EnumFormString -> ByteString Source #

fromE'EnumFormString :: E'EnumFormString -> Text Source #

unwrap `E'EnumFormString` enum

toE'EnumFormString :: Text -> Either String E'EnumFormString Source #

parse `E'EnumFormString` enum

## E'EnumFormStringArray

data E'EnumFormStringArray Source #

Enum of `Text`

Constructors

E'EnumFormStringArray'GreaterThan

    ">"

E'EnumFormStringArray'Dollar

    "$"

#### Instances

Instances details

Bounded E'EnumFormStringArray Source # |
Instance details Defined in OpenAPIPetstore.Model Methods minBound :: E'EnumFormStringArray # maxBound :: E'EnumFormStringArray #
Enum E'EnumFormStringArray Source # |

Instance details

Defined in OpenAPIPetstore.Model

Methods

succ :: E'EnumFormStringArray -> E'EnumFormStringArray #

pred :: E'EnumFormStringArray -> E'EnumFormStringArray #

toEnum :: Int -> E'EnumFormStringArray #

fromEnum :: E'EnumFormStringArray -> Int #

enumFrom :: E'EnumFormStringArray -> [E'EnumFormStringArray] #

enumFromThen :: E'EnumFormStringArray -> E'EnumFormStringArray -> [E'EnumFormStringArray] #

enumFromTo :: E'EnumFormStringArray -> E'EnumFormStringArray -> [E'EnumFormStringArray] #

enumFromThenTo :: E'EnumFormStringArray -> E'EnumFormStringArray -> E'EnumFormStringArray -> [E'EnumFormStringArray] #

Eq E'EnumFormStringArray Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: E'EnumFormStringArray -> E'EnumFormStringArray -> Bool # (/=) :: E'EnumFormStringArray -> E'EnumFormStringArray -> Bool #
Ord E'EnumFormStringArray Source # |

Instance details

Defined in OpenAPIPetstore.Model

Methods

compare :: E'EnumFormStringArray -> E'EnumFormStringArray -> Ordering #

(<) :: E'EnumFormStringArray -> E'EnumFormStringArray -> Bool #

(<=) :: E'EnumFormStringArray -> E'EnumFormStringArray -> Bool #

(>) :: E'EnumFormStringArray -> E'EnumFormStringArray -> Bool #

(>=) :: E'EnumFormStringArray -> E'EnumFormStringArray -> Bool #

max :: E'EnumFormStringArray -> E'EnumFormStringArray -> E'EnumFormStringArray #

min :: E'EnumFormStringArray -> E'EnumFormStringArray -> E'EnumFormStringArray #

Show E'EnumFormStringArray Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> E'EnumFormStringArray -> ShowS # show :: E'EnumFormStringArray -> String # showList :: [E'EnumFormStringArray] -> ShowS #
ToJSON E'EnumFormStringArray Source # |
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: E'EnumFormStringArray -> Value toEncoding :: E'EnumFormStringArray -> Encoding toJSONList :: [E'EnumFormStringArray] -> Value toEncodingList :: [E'EnumFormStringArray] -> Encoding
FromJSON E'EnumFormStringArray Source # |
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser E'EnumFormStringArray parseJSONList :: Value -> Parser [E'EnumFormStringArray]
FromHttpApiData E'EnumFormStringArray Source # |
Instance details Defined in OpenAPIPetstore.Model Methods parseUrlPiece :: Text -> Either Text E'EnumFormStringArray parseHeader :: ByteString -> Either Text E'EnumFormStringArray parseQueryParam :: Text -> Either Text E'EnumFormStringArray
ToHttpApiData E'EnumFormStringArray Source # |
Instance details Defined in OpenAPIPetstore.Model Methods toUrlPiece :: E'EnumFormStringArray -> Text toEncodedUrlPiece :: E'EnumFormStringArray -> Builder toHeader :: E'EnumFormStringArray -> ByteString toQueryParam :: E'EnumFormStringArray -> Text
MimeRender MimeMultipartFormData E'EnumFormStringArray Source # |
Instance details Defined in OpenAPIPetstore.Model Methods mimeRender :: Proxy MimeMultipartFormData -> E'EnumFormStringArray -> ByteString Source # mimeRender' :: MimeMultipartFormData -> E'EnumFormStringArray -> ByteString Source #

fromE'EnumFormStringArray :: E'EnumFormStringArray -> Text Source #

unwrap `E'EnumFormStringArray` enum

toE'EnumFormStringArray :: Text -> Either String E'EnumFormStringArray Source #

parse `E'EnumFormStringArray` enum

## E'EnumInteger

data E'EnumInteger Source #

Enum of `Int`

Constructors

E'EnumInteger'Num1

    1

E'EnumInteger'NumMinus_1

    -1

#### Instances

Instances details

Bounded E'EnumInteger Source # |
Instance details Defined in OpenAPIPetstore.Model Methods minBound :: E'EnumInteger # maxBound :: E'EnumInteger #
Enum E'EnumInteger Source # |

Instance details

Defined in OpenAPIPetstore.Model

Methods

succ :: E'EnumInteger -> E'EnumInteger #

pred :: E'EnumInteger -> E'EnumInteger #

toEnum :: Int -> E'EnumInteger #

fromEnum :: E'EnumInteger -> Int #

enumFrom :: E'EnumInteger -> [E'EnumInteger] #

enumFromThen :: E'EnumInteger -> E'EnumInteger -> [E'EnumInteger] #

enumFromTo :: E'EnumInteger -> E'EnumInteger -> [E'EnumInteger] #

enumFromThenTo :: E'EnumInteger -> E'EnumInteger -> E'EnumInteger -> [E'EnumInteger] #

Eq E'EnumInteger Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: E'EnumInteger -> E'EnumInteger -> Bool # (/=) :: E'EnumInteger -> E'EnumInteger -> Bool #
Ord E'EnumInteger Source # |

Instance details

Defined in OpenAPIPetstore.Model

Methods

compare :: E'EnumInteger -> E'EnumInteger -> Ordering #

(<) :: E'EnumInteger -> E'EnumInteger -> Bool #

(<=) :: E'EnumInteger -> E'EnumInteger -> Bool #

(>) :: E'EnumInteger -> E'EnumInteger -> Bool #

(>=) :: E'EnumInteger -> E'EnumInteger -> Bool #

max :: E'EnumInteger -> E'EnumInteger -> E'EnumInteger #

min :: E'EnumInteger -> E'EnumInteger -> E'EnumInteger #

Show E'EnumInteger Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> E'EnumInteger -> ShowS # show :: E'EnumInteger -> String # showList :: [E'EnumInteger] -> ShowS #
ToJSON E'EnumInteger Source # |
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: E'EnumInteger -> Value toEncoding :: E'EnumInteger -> Encoding toJSONList :: [E'EnumInteger] -> Value toEncodingList :: [E'EnumInteger] -> Encoding
FromJSON E'EnumInteger Source # |
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser E'EnumInteger parseJSONList :: Value -> Parser [E'EnumInteger]
FromHttpApiData E'EnumInteger Source # |
Instance details Defined in OpenAPIPetstore.Model Methods parseUrlPiece :: Text -> Either Text E'EnumInteger parseHeader :: ByteString -> Either Text E'EnumInteger parseQueryParam :: Text -> Either Text E'EnumInteger
ToHttpApiData E'EnumInteger Source # |
Instance details Defined in OpenAPIPetstore.Model Methods toUrlPiece :: E'EnumInteger -> Text toEncodedUrlPiece :: E'EnumInteger -> Builder toHeader :: E'EnumInteger -> ByteString toQueryParam :: E'EnumInteger -> Text
MimeRender MimeMultipartFormData E'EnumInteger Source # |
Instance details Defined in OpenAPIPetstore.Model Methods mimeRender :: Proxy MimeMultipartFormData -> E'EnumInteger -> ByteString Source # mimeRender' :: MimeMultipartFormData -> E'EnumInteger -> ByteString Source #

fromE'EnumInteger :: E'EnumInteger -> Int Source #

unwrap `E'EnumInteger` enum

toE'EnumInteger :: Int -> Either String E'EnumInteger Source #

parse `E'EnumInteger` enum

## E'EnumNumber

data E'EnumNumber Source #

Enum of `Double`

Constructors

E'EnumNumber'Num1_Dot_1

    1.1

E'EnumNumber'NumMinus_1_Dot_2

    -1.2

#### Instances

Instances details

Bounded E'EnumNumber Source # |
Instance details Defined in OpenAPIPetstore.Model Methods minBound :: E'EnumNumber # maxBound :: E'EnumNumber #
Enum E'EnumNumber Source # |

Instance details

Defined in OpenAPIPetstore.Model

Methods

succ :: E'EnumNumber -> E'EnumNumber #

pred :: E'EnumNumber -> E'EnumNumber #

toEnum :: Int -> E'EnumNumber #

fromEnum :: E'EnumNumber -> Int #

enumFrom :: E'EnumNumber -> [E'EnumNumber] #

enumFromThen :: E'EnumNumber -> E'EnumNumber -> [E'EnumNumber] #

enumFromTo :: E'EnumNumber -> E'EnumNumber -> [E'EnumNumber] #

enumFromThenTo :: E'EnumNumber -> E'EnumNumber -> E'EnumNumber -> [E'EnumNumber] #

Eq E'EnumNumber Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: E'EnumNumber -> E'EnumNumber -> Bool # (/=) :: E'EnumNumber -> E'EnumNumber -> Bool #
Ord E'EnumNumber Source # |

Instance details

Defined in OpenAPIPetstore.Model

Methods

compare :: E'EnumNumber -> E'EnumNumber -> Ordering #

(<) :: E'EnumNumber -> E'EnumNumber -> Bool #

(<=) :: E'EnumNumber -> E'EnumNumber -> Bool #

(>) :: E'EnumNumber -> E'EnumNumber -> Bool #

(>=) :: E'EnumNumber -> E'EnumNumber -> Bool #

max :: E'EnumNumber -> E'EnumNumber -> E'EnumNumber #

min :: E'EnumNumber -> E'EnumNumber -> E'EnumNumber #

Show E'EnumNumber Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> E'EnumNumber -> ShowS # show :: E'EnumNumber -> String # showList :: [E'EnumNumber] -> ShowS #
ToJSON E'EnumNumber Source # |
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: E'EnumNumber -> Value toEncoding :: E'EnumNumber -> Encoding toJSONList :: [E'EnumNumber] -> Value toEncodingList :: [E'EnumNumber] -> Encoding
FromJSON E'EnumNumber Source # |
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser E'EnumNumber parseJSONList :: Value -> Parser [E'EnumNumber]
FromHttpApiData E'EnumNumber Source # |
Instance details Defined in OpenAPIPetstore.Model Methods parseUrlPiece :: Text -> Either Text E'EnumNumber parseHeader :: ByteString -> Either Text E'EnumNumber parseQueryParam :: Text -> Either Text E'EnumNumber
ToHttpApiData E'EnumNumber Source # |
Instance details Defined in OpenAPIPetstore.Model Methods toUrlPiece :: E'EnumNumber -> Text toEncodedUrlPiece :: E'EnumNumber -> Builder toHeader :: E'EnumNumber -> ByteString toQueryParam :: E'EnumNumber -> Text
MimeRender MimeMultipartFormData E'EnumNumber Source # |
Instance details Defined in OpenAPIPetstore.Model Methods mimeRender :: Proxy MimeMultipartFormData -> E'EnumNumber -> ByteString Source # mimeRender' :: MimeMultipartFormData -> E'EnumNumber -> ByteString Source #

fromE'EnumNumber :: E'EnumNumber -> Double Source #

unwrap `E'EnumNumber` enum

toE'EnumNumber :: Double -> Either String E'EnumNumber Source #

parse `E'EnumNumber` enum

## E'EnumQueryInteger

data E'EnumQueryInteger Source #

Enum of `Int`

Constructors

E'EnumQueryInteger'Num1

    1

E'EnumQueryInteger'NumMinus_2

    -2

#### Instances

Instances details

Bounded E'EnumQueryInteger Source # |
Instance details Defined in OpenAPIPetstore.Model Methods minBound :: E'EnumQueryInteger # maxBound :: E'EnumQueryInteger #
Enum E'EnumQueryInteger Source # |

Instance details

Defined in OpenAPIPetstore.Model

Methods

succ :: E'EnumQueryInteger -> E'EnumQueryInteger #

pred :: E'EnumQueryInteger -> E'EnumQueryInteger #

toEnum :: Int -> E'EnumQueryInteger #

fromEnum :: E'EnumQueryInteger -> Int #

enumFrom :: E'EnumQueryInteger -> [E'EnumQueryInteger] #

enumFromThen :: E'EnumQueryInteger -> E'EnumQueryInteger -> [E'EnumQueryInteger] #

enumFromTo :: E'EnumQueryInteger -> E'EnumQueryInteger -> [E'EnumQueryInteger] #

enumFromThenTo :: E'EnumQueryInteger -> E'EnumQueryInteger -> E'EnumQueryInteger -> [E'EnumQueryInteger] #

Eq E'EnumQueryInteger Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: E'EnumQueryInteger -> E'EnumQueryInteger -> Bool # (/=) :: E'EnumQueryInteger -> E'EnumQueryInteger -> Bool #
Ord E'EnumQueryInteger Source # |

Instance details

Defined in OpenAPIPetstore.Model

Methods

compare :: E'EnumQueryInteger -> E'EnumQueryInteger -> Ordering #

(<) :: E'EnumQueryInteger -> E'EnumQueryInteger -> Bool #

(<=) :: E'EnumQueryInteger -> E'EnumQueryInteger -> Bool #

(>) :: E'EnumQueryInteger -> E'EnumQueryInteger -> Bool #

(>=) :: E'EnumQueryInteger -> E'EnumQueryInteger -> Bool #

max :: E'EnumQueryInteger -> E'EnumQueryInteger -> E'EnumQueryInteger #

min :: E'EnumQueryInteger -> E'EnumQueryInteger -> E'EnumQueryInteger #

Show E'EnumQueryInteger Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> E'EnumQueryInteger -> ShowS # show :: E'EnumQueryInteger -> String # showList :: [E'EnumQueryInteger] -> ShowS #
ToJSON E'EnumQueryInteger Source # |
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: E'EnumQueryInteger -> Value toEncoding :: E'EnumQueryInteger -> Encoding toJSONList :: [E'EnumQueryInteger] -> Value toEncodingList :: [E'EnumQueryInteger] -> Encoding
FromJSON E'EnumQueryInteger Source # |
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser E'EnumQueryInteger parseJSONList :: Value -> Parser [E'EnumQueryInteger]
FromHttpApiData E'EnumQueryInteger Source # |
Instance details Defined in OpenAPIPetstore.Model Methods parseUrlPiece :: Text -> Either Text E'EnumQueryInteger parseHeader :: ByteString -> Either Text E'EnumQueryInteger parseQueryParam :: Text -> Either Text E'EnumQueryInteger
ToHttpApiData E'EnumQueryInteger Source # |
Instance details Defined in OpenAPIPetstore.Model Methods toUrlPiece :: E'EnumQueryInteger -> Text toEncodedUrlPiece :: E'EnumQueryInteger -> Builder toHeader :: E'EnumQueryInteger -> ByteString toQueryParam :: E'EnumQueryInteger -> Text
MimeRender MimeMultipartFormData E'EnumQueryInteger Source # |
Instance details Defined in OpenAPIPetstore.Model Methods mimeRender :: Proxy MimeMultipartFormData -> E'EnumQueryInteger -> ByteString Source # mimeRender' :: MimeMultipartFormData -> E'EnumQueryInteger -> ByteString Source #

fromE'EnumQueryInteger :: E'EnumQueryInteger -> Int Source #

unwrap `E'EnumQueryInteger` enum

toE'EnumQueryInteger :: Int -> Either String E'EnumQueryInteger Source #

parse `E'EnumQueryInteger` enum

## E'EnumString

data E'EnumString Source #

Enum of `Text`

Constructors

E'EnumString'UPPER

    UPPER

E'EnumString'Lower

    "lower"

E'EnumString'Empty

    ""

#### Instances

Instances details

Bounded E'EnumString Source # |
Instance details Defined in OpenAPIPetstore.Model Methods minBound :: E'EnumString # maxBound :: E'EnumString #
Enum E'EnumString Source # |

Instance details

Defined in OpenAPIPetstore.Model

Methods

succ :: E'EnumString -> E'EnumString #

pred :: E'EnumString -> E'EnumString #

toEnum :: Int -> E'EnumString #

fromEnum :: E'EnumString -> Int #

enumFrom :: E'EnumString -> [E'EnumString] #

enumFromThen :: E'EnumString -> E'EnumString -> [E'EnumString] #

enumFromTo :: E'EnumString -> E'EnumString -> [E'EnumString] #

enumFromThenTo :: E'EnumString -> E'EnumString -> E'EnumString -> [E'EnumString] #

Eq E'EnumString Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: E'EnumString -> E'EnumString -> Bool # (/=) :: E'EnumString -> E'EnumString -> Bool #
Ord E'EnumString Source # |

Instance details

Defined in OpenAPIPetstore.Model

Methods

compare :: E'EnumString -> E'EnumString -> Ordering #

(<) :: E'EnumString -> E'EnumString -> Bool #

(<=) :: E'EnumString -> E'EnumString -> Bool #

(>) :: E'EnumString -> E'EnumString -> Bool #

(>=) :: E'EnumString -> E'EnumString -> Bool #

max :: E'EnumString -> E'EnumString -> E'EnumString #

min :: E'EnumString -> E'EnumString -> E'EnumString #

Show E'EnumString Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> E'EnumString -> ShowS # show :: E'EnumString -> String # showList :: [E'EnumString] -> ShowS #
ToJSON E'EnumString Source # |
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: E'EnumString -> Value toEncoding :: E'EnumString -> Encoding toJSONList :: [E'EnumString] -> Value toEncodingList :: [E'EnumString] -> Encoding
FromJSON E'EnumString Source # |
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser E'EnumString parseJSONList :: Value -> Parser [E'EnumString]
FromHttpApiData E'EnumString Source # |
Instance details Defined in OpenAPIPetstore.Model Methods parseUrlPiece :: Text -> Either Text E'EnumString parseHeader :: ByteString -> Either Text E'EnumString parseQueryParam :: Text -> Either Text E'EnumString
ToHttpApiData E'EnumString Source # |
Instance details Defined in OpenAPIPetstore.Model Methods toUrlPiece :: E'EnumString -> Text toEncodedUrlPiece :: E'EnumString -> Builder toHeader :: E'EnumString -> ByteString toQueryParam :: E'EnumString -> Text
MimeRender MimeMultipartFormData E'EnumString Source # |
Instance details Defined in OpenAPIPetstore.Model Methods mimeRender :: Proxy MimeMultipartFormData -> E'EnumString -> ByteString Source # mimeRender' :: MimeMultipartFormData -> E'EnumString -> ByteString Source #

fromE'EnumString :: E'EnumString -> Text Source #

unwrap `E'EnumString` enum

toE'EnumString :: Text -> Either String E'EnumString Source #

parse `E'EnumString` enum

## E'Inner

data E'Inner Source #

Enum of `Text`

Constructors

E'Inner'UPPER

    UPPER

E'Inner'Lower

    "lower"

#### Instances

Instances details

Bounded E'Inner Source # |
Instance details Defined in OpenAPIPetstore.Model Methods minBound :: E'Inner # maxBound :: E'Inner #
Enum E'Inner Source # |
Instance details Defined in OpenAPIPetstore.Model Methods succ :: E'Inner -> E'Inner # pred :: E'Inner -> E'Inner # toEnum :: Int -> E'Inner # fromEnum :: E'Inner -> Int # enumFrom :: E'Inner -> [E'Inner] # enumFromThen :: E'Inner -> E'Inner -> [E'Inner] # enumFromTo :: E'Inner -> E'Inner -> [E'Inner] # enumFromThenTo :: E'Inner -> E'Inner -> E'Inner -> [E'Inner] #
Eq E'Inner Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: E'Inner -> E'Inner -> Bool # (/=) :: E'Inner -> E'Inner -> Bool #
Ord E'Inner Source # |
Instance details Defined in OpenAPIPetstore.Model Methods compare :: E'Inner -> E'Inner -> Ordering # (<) :: E'Inner -> E'Inner -> Bool # (<=) :: E'Inner -> E'Inner -> Bool # (>) :: E'Inner -> E'Inner -> Bool # (>=) :: E'Inner -> E'Inner -> Bool # max :: E'Inner -> E'Inner -> E'Inner # min :: E'Inner -> E'Inner -> E'Inner #
Show E'Inner Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> E'Inner -> ShowS # show :: E'Inner -> String # showList :: [E'Inner] -> ShowS #
ToJSON E'Inner Source # |
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: E'Inner -> Value toEncoding :: E'Inner -> Encoding toJSONList :: [E'Inner] -> Value toEncodingList :: [E'Inner] -> Encoding
FromJSON E'Inner Source # |
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser E'Inner parseJSONList :: Value -> Parser [E'Inner]
FromHttpApiData E'Inner Source # |
Instance details Defined in OpenAPIPetstore.Model Methods parseUrlPiece :: Text -> Either Text E'Inner parseHeader :: ByteString -> Either Text E'Inner parseQueryParam :: Text -> Either Text E'Inner
ToHttpApiData E'Inner Source # |
Instance details Defined in OpenAPIPetstore.Model Methods toUrlPiece :: E'Inner -> Text toEncodedUrlPiece :: E'Inner -> Builder toHeader :: E'Inner -> ByteString toQueryParam :: E'Inner -> Text
MimeRender MimeMultipartFormData E'Inner Source # |
Instance details Defined in OpenAPIPetstore.Model Methods mimeRender :: Proxy MimeMultipartFormData -> E'Inner -> ByteString Source # mimeRender' :: MimeMultipartFormData -> E'Inner -> ByteString Source #

fromE'Inner :: E'Inner -> Text Source #

unwrap `E'Inner` enum

toE'Inner :: Text -> Either String E'Inner Source #

parse `E'Inner` enum

## E'JustSymbol

data E'JustSymbol Source #

Enum of `Text`

Constructors

E'JustSymbol'Greater_Than_Or_Equal_To

    ">="

E'JustSymbol'Dollar

    "$"

#### Instances

Instances details

Bounded E'JustSymbol Source # |
Instance details Defined in OpenAPIPetstore.Model Methods minBound :: E'JustSymbol # maxBound :: E'JustSymbol #
Enum E'JustSymbol Source # |

Instance details

Defined in OpenAPIPetstore.Model

Methods

succ :: E'JustSymbol -> E'JustSymbol #

pred :: E'JustSymbol -> E'JustSymbol #

toEnum :: Int -> E'JustSymbol #

fromEnum :: E'JustSymbol -> Int #

enumFrom :: E'JustSymbol -> [E'JustSymbol] #

enumFromThen :: E'JustSymbol -> E'JustSymbol -> [E'JustSymbol] #

enumFromTo :: E'JustSymbol -> E'JustSymbol -> [E'JustSymbol] #

enumFromThenTo :: E'JustSymbol -> E'JustSymbol -> E'JustSymbol -> [E'JustSymbol] #

Eq E'JustSymbol Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: E'JustSymbol -> E'JustSymbol -> Bool # (/=) :: E'JustSymbol -> E'JustSymbol -> Bool #
Ord E'JustSymbol Source # |

Instance details

Defined in OpenAPIPetstore.Model

Methods

compare :: E'JustSymbol -> E'JustSymbol -> Ordering #

(<) :: E'JustSymbol -> E'JustSymbol -> Bool #

(<=) :: E'JustSymbol -> E'JustSymbol -> Bool #

(>) :: E'JustSymbol -> E'JustSymbol -> Bool #

(>=) :: E'JustSymbol -> E'JustSymbol -> Bool #

max :: E'JustSymbol -> E'JustSymbol -> E'JustSymbol #

min :: E'JustSymbol -> E'JustSymbol -> E'JustSymbol #

Show E'JustSymbol Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> E'JustSymbol -> ShowS # show :: E'JustSymbol -> String # showList :: [E'JustSymbol] -> ShowS #
ToJSON E'JustSymbol Source # |
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: E'JustSymbol -> Value toEncoding :: E'JustSymbol -> Encoding toJSONList :: [E'JustSymbol] -> Value toEncodingList :: [E'JustSymbol] -> Encoding
FromJSON E'JustSymbol Source # |
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser E'JustSymbol parseJSONList :: Value -> Parser [E'JustSymbol]
FromHttpApiData E'JustSymbol Source # |
Instance details Defined in OpenAPIPetstore.Model Methods parseUrlPiece :: Text -> Either Text E'JustSymbol parseHeader :: ByteString -> Either Text E'JustSymbol parseQueryParam :: Text -> Either Text E'JustSymbol
ToHttpApiData E'JustSymbol Source # |
Instance details Defined in OpenAPIPetstore.Model Methods toUrlPiece :: E'JustSymbol -> Text toEncodedUrlPiece :: E'JustSymbol -> Builder toHeader :: E'JustSymbol -> ByteString toQueryParam :: E'JustSymbol -> Text
MimeRender MimeMultipartFormData E'JustSymbol Source # |
Instance details Defined in OpenAPIPetstore.Model Methods mimeRender :: Proxy MimeMultipartFormData -> E'JustSymbol -> ByteString Source # mimeRender' :: MimeMultipartFormData -> E'JustSymbol -> ByteString Source #

fromE'JustSymbol :: E'JustSymbol -> Text Source #

unwrap `E'JustSymbol` enum

toE'JustSymbol :: Text -> Either String E'JustSymbol Source #

parse `E'JustSymbol` enum

## E'Kind

data E'Kind Source #

Enum of `Text`

Constructors

E'Kind'Lions

    "lions"

E'Kind'Tigers

    "tigers"

E'Kind'Leopards

    "leopards"

E'Kind'Jaguars

    "jaguars"

#### Instances

Instances details

Bounded E'Kind Source # |
Instance details Defined in OpenAPIPetstore.Model Methods minBound :: E'Kind # maxBound :: E'Kind #
Enum E'Kind Source # |
Instance details Defined in OpenAPIPetstore.Model Methods succ :: E'Kind -> E'Kind # pred :: E'Kind -> E'Kind # toEnum :: Int -> E'Kind # fromEnum :: E'Kind -> Int # enumFrom :: E'Kind -> [E'Kind] # enumFromThen :: E'Kind -> E'Kind -> [E'Kind] # enumFromTo :: E'Kind -> E'Kind -> [E'Kind] # enumFromThenTo :: E'Kind -> E'Kind -> E'Kind -> [E'Kind] #
Eq E'Kind Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: E'Kind -> E'Kind -> Bool # (/=) :: E'Kind -> E'Kind -> Bool #
Ord E'Kind Source # |
Instance details Defined in OpenAPIPetstore.Model Methods compare :: E'Kind -> E'Kind -> Ordering # (<) :: E'Kind -> E'Kind -> Bool # (<=) :: E'Kind -> E'Kind -> Bool # (>) :: E'Kind -> E'Kind -> Bool # (>=) :: E'Kind -> E'Kind -> Bool # max :: E'Kind -> E'Kind -> E'Kind # min :: E'Kind -> E'Kind -> E'Kind #
Show E'Kind Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> E'Kind -> ShowS # show :: E'Kind -> String # showList :: [E'Kind] -> ShowS #
ToJSON E'Kind Source # |
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: E'Kind -> Value toEncoding :: E'Kind -> Encoding toJSONList :: [E'Kind] -> Value toEncodingList :: [E'Kind] -> Encoding
FromJSON E'Kind Source # |
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser E'Kind parseJSONList :: Value -> Parser [E'Kind]
FromHttpApiData E'Kind Source # |
Instance details Defined in OpenAPIPetstore.Model Methods parseUrlPiece :: Text -> Either Text E'Kind parseHeader :: ByteString -> Either Text E'Kind parseQueryParam :: Text -> Either Text E'Kind
ToHttpApiData E'Kind Source # |
Instance details Defined in OpenAPIPetstore.Model Methods toUrlPiece :: E'Kind -> Text toEncodedUrlPiece :: E'Kind -> Builder toHeader :: E'Kind -> ByteString toQueryParam :: E'Kind -> Text
MimeRender MimeMultipartFormData E'Kind Source # |
Instance details Defined in OpenAPIPetstore.Model Methods mimeRender :: Proxy MimeMultipartFormData -> E'Kind -> ByteString Source # mimeRender' :: MimeMultipartFormData -> E'Kind -> ByteString Source #

fromE'Kind :: E'Kind -> Text Source #

unwrap `E'Kind` enum

toE'Kind :: Text -> Either String E'Kind Source #

parse `E'Kind` enum

## E'Status

data E'Status Source #

Enum of `Text` . Order Status

Constructors

E'Status'Placed

    "placed"

E'Status'Approved

    "approved"

E'Status'Delivered

    "delivered"

#### Instances

Instances details

Bounded E'Status Source # |
Instance details Defined in OpenAPIPetstore.Model Methods minBound :: E'Status # maxBound :: E'Status #
Enum E'Status Source # |
Instance details Defined in OpenAPIPetstore.Model Methods succ :: E'Status -> E'Status # pred :: E'Status -> E'Status # toEnum :: Int -> E'Status # fromEnum :: E'Status -> Int # enumFrom :: E'Status -> [E'Status] # enumFromThen :: E'Status -> E'Status -> [E'Status] # enumFromTo :: E'Status -> E'Status -> [E'Status] # enumFromThenTo :: E'Status -> E'Status -> E'Status -> [E'Status] #
Eq E'Status Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: E'Status -> E'Status -> Bool # (/=) :: E'Status -> E'Status -> Bool #
Ord E'Status Source # |
Instance details Defined in OpenAPIPetstore.Model Methods compare :: E'Status -> E'Status -> Ordering # (<) :: E'Status -> E'Status -> Bool # (<=) :: E'Status -> E'Status -> Bool # (>) :: E'Status -> E'Status -> Bool # (>=) :: E'Status -> E'Status -> Bool # max :: E'Status -> E'Status -> E'Status # min :: E'Status -> E'Status -> E'Status #
Show E'Status Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> E'Status -> ShowS # show :: E'Status -> String # showList :: [E'Status] -> ShowS #
ToJSON E'Status Source # |
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: E'Status -> Value toEncoding :: E'Status -> Encoding toJSONList :: [E'Status] -> Value toEncodingList :: [E'Status] -> Encoding
FromJSON E'Status Source # |
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser E'Status parseJSONList :: Value -> Parser [E'Status]
FromHttpApiData E'Status Source # |
Instance details Defined in OpenAPIPetstore.Model Methods parseUrlPiece :: Text -> Either Text E'Status parseHeader :: ByteString -> Either Text E'Status parseQueryParam :: Text -> Either Text E'Status
ToHttpApiData E'Status Source # |
Instance details Defined in OpenAPIPetstore.Model Methods toUrlPiece :: E'Status -> Text toEncodedUrlPiece :: E'Status -> Builder toHeader :: E'Status -> ByteString toQueryParam :: E'Status -> Text
MimeRender MimeMultipartFormData E'Status Source # |
Instance details Defined in OpenAPIPetstore.Model Methods mimeRender :: Proxy MimeMultipartFormData -> E'Status -> ByteString Source # mimeRender' :: MimeMultipartFormData -> E'Status -> ByteString Source #

fromE'Status :: E'Status -> Text Source #

unwrap `E'Status` enum

toE'Status :: Text -> Either String E'Status Source #

parse `E'Status` enum

## E'Status2

data E'Status2 Source #

Enum of `Text` . pet status in the store

Constructors

E'Status2'Available

    "available"

E'Status2'Pending

    "pending"

E'Status2'Sold

    "sold"

#### Instances

Instances details

Bounded E'Status2 Source # |
Instance details Defined in OpenAPIPetstore.Model Methods minBound :: E'Status2 # maxBound :: E'Status2 #
Enum E'Status2 Source # |

Instance details

Defined in OpenAPIPetstore.Model

Methods

succ :: E'Status2 -> E'Status2 #

pred :: E'Status2 -> E'Status2 #

toEnum :: Int -> E'Status2 #

fromEnum :: E'Status2 -> Int #

enumFrom :: E'Status2 -> [E'Status2] #

enumFromThen :: E'Status2 -> E'Status2 -> [E'Status2] #

enumFromTo :: E'Status2 -> E'Status2 -> [E'Status2] #

enumFromThenTo :: E'Status2 -> E'Status2 -> E'Status2 -> [E'Status2] #

Eq E'Status2 Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: E'Status2 -> E'Status2 -> Bool # (/=) :: E'Status2 -> E'Status2 -> Bool #
Ord E'Status2 Source # |
Instance details Defined in OpenAPIPetstore.Model Methods compare :: E'Status2 -> E'Status2 -> Ordering # (<) :: E'Status2 -> E'Status2 -> Bool # (<=) :: E'Status2 -> E'Status2 -> Bool # (>) :: E'Status2 -> E'Status2 -> Bool # (>=) :: E'Status2 -> E'Status2 -> Bool # max :: E'Status2 -> E'Status2 -> E'Status2 # min :: E'Status2 -> E'Status2 -> E'Status2 #
Show E'Status2 Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> E'Status2 -> ShowS # show :: E'Status2 -> String # showList :: [E'Status2] -> ShowS #
ToJSON E'Status2 Source # |
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: E'Status2 -> Value toEncoding :: E'Status2 -> Encoding toJSONList :: [E'Status2] -> Value toEncodingList :: [E'Status2] -> Encoding
FromJSON E'Status2 Source # |
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser E'Status2 parseJSONList :: Value -> Parser [E'Status2]
FromHttpApiData E'Status2 Source # |
Instance details Defined in OpenAPIPetstore.Model Methods parseUrlPiece :: Text -> Either Text E'Status2 parseHeader :: ByteString -> Either Text E'Status2 parseQueryParam :: Text -> Either Text E'Status2
ToHttpApiData E'Status2 Source # |
Instance details Defined in OpenAPIPetstore.Model Methods toUrlPiece :: E'Status2 -> Text toEncodedUrlPiece :: E'Status2 -> Builder toHeader :: E'Status2 -> ByteString toQueryParam :: E'Status2 -> Text
MimeRender MimeMultipartFormData E'Status2 Source # |
Instance details Defined in OpenAPIPetstore.Model Methods mimeRender :: Proxy MimeMultipartFormData -> E'Status2 -> ByteString Source # mimeRender' :: MimeMultipartFormData -> E'Status2 -> ByteString Source #

fromE'Status2 :: E'Status2 -> Text Source #

unwrap `E'Status2` enum

toE'Status2 :: Text -> Either String E'Status2 Source #

parse `E'Status2` enum

## EnumClass

data EnumClass Source #

Enum of `Text`

Constructors

EnumClass'_abc

    "_abc"

EnumClass'_efg

    "-efg"

EnumClass'_xyz

    "(xyz)"

#### Instances

Instances details

Bounded EnumClass Source # |
Instance details Defined in OpenAPIPetstore.Model Methods minBound :: EnumClass # maxBound :: EnumClass #
Enum EnumClass Source # |

Instance details

Defined in OpenAPIPetstore.Model

Methods

succ :: EnumClass -> EnumClass #

pred :: EnumClass -> EnumClass #

toEnum :: Int -> EnumClass #

fromEnum :: EnumClass -> Int #

enumFrom :: EnumClass -> [EnumClass] #

enumFromThen :: EnumClass -> EnumClass -> [EnumClass] #

enumFromTo :: EnumClass -> EnumClass -> [EnumClass] #

enumFromThenTo :: EnumClass -> EnumClass -> EnumClass -> [EnumClass] #

Eq EnumClass Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: EnumClass -> EnumClass -> Bool # (/=) :: EnumClass -> EnumClass -> Bool #
Ord EnumClass Source # |
Instance details Defined in OpenAPIPetstore.Model Methods compare :: EnumClass -> EnumClass -> Ordering # (<) :: EnumClass -> EnumClass -> Bool # (<=) :: EnumClass -> EnumClass -> Bool # (>) :: EnumClass -> EnumClass -> Bool # (>=) :: EnumClass -> EnumClass -> Bool # max :: EnumClass -> EnumClass -> EnumClass # min :: EnumClass -> EnumClass -> EnumClass #
Show EnumClass Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> EnumClass -> ShowS # show :: EnumClass -> String # showList :: [EnumClass] -> ShowS #
ToJSON EnumClass Source # |
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: EnumClass -> Value toEncoding :: EnumClass -> Encoding toJSONList :: [EnumClass] -> Value toEncodingList :: [EnumClass] -> Encoding
FromJSON EnumClass Source # |
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser EnumClass parseJSONList :: Value -> Parser [EnumClass]
FromHttpApiData EnumClass Source # |
Instance details Defined in OpenAPIPetstore.Model Methods parseUrlPiece :: Text -> Either Text EnumClass parseHeader :: ByteString -> Either Text EnumClass parseQueryParam :: Text -> Either Text EnumClass
ToHttpApiData EnumClass Source # |
Instance details Defined in OpenAPIPetstore.Model Methods toUrlPiece :: EnumClass -> Text toEncodedUrlPiece :: EnumClass -> Builder toHeader :: EnumClass -> ByteString toQueryParam :: EnumClass -> Text
MimeRender MimeMultipartFormData EnumClass Source # |
Instance details Defined in OpenAPIPetstore.Model Methods mimeRender :: Proxy MimeMultipartFormData -> EnumClass -> ByteString Source # mimeRender' :: MimeMultipartFormData -> EnumClass -> ByteString Source #

fromEnumClass :: EnumClass -> Text Source #

unwrap `EnumClass` enum

toEnumClass :: Text -> Either String EnumClass Source #

parse `EnumClass` enum

## OuterEnum

data OuterEnum Source #

Enum of `Text`

Constructors

OuterEnum'Placed

    "placed"

OuterEnum'Approved

    "approved"

OuterEnum'Delivered

    "delivered"

#### Instances

Instances details

Bounded OuterEnum Source # |
Instance details Defined in OpenAPIPetstore.Model Methods minBound :: OuterEnum # maxBound :: OuterEnum #
Enum OuterEnum Source # |

Instance details

Defined in OpenAPIPetstore.Model

Methods

succ :: OuterEnum -> OuterEnum #

pred :: OuterEnum -> OuterEnum #

toEnum :: Int -> OuterEnum #

fromEnum :: OuterEnum -> Int #

enumFrom :: OuterEnum -> [OuterEnum] #

enumFromThen :: OuterEnum -> OuterEnum -> [OuterEnum] #

enumFromTo :: OuterEnum -> OuterEnum -> [OuterEnum] #

enumFromThenTo :: OuterEnum -> OuterEnum -> OuterEnum -> [OuterEnum] #

Eq OuterEnum Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: OuterEnum -> OuterEnum -> Bool # (/=) :: OuterEnum -> OuterEnum -> Bool #
Ord OuterEnum Source # |
Instance details Defined in OpenAPIPetstore.Model Methods compare :: OuterEnum -> OuterEnum -> Ordering # (<) :: OuterEnum -> OuterEnum -> Bool # (<=) :: OuterEnum -> OuterEnum -> Bool # (>) :: OuterEnum -> OuterEnum -> Bool # (>=) :: OuterEnum -> OuterEnum -> Bool # max :: OuterEnum -> OuterEnum -> OuterEnum # min :: OuterEnum -> OuterEnum -> OuterEnum #
Show OuterEnum Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> OuterEnum -> ShowS # show :: OuterEnum -> String # showList :: [OuterEnum] -> ShowS #
ToJSON OuterEnum Source # |
Instance details Defined in OpenAPIPetstore.Model Methods toJSON :: OuterEnum -> Value toEncoding :: OuterEnum -> Encoding toJSONList :: [OuterEnum] -> Value toEncodingList :: [OuterEnum] -> Encoding
FromJSON OuterEnum Source # |
Instance details Defined in OpenAPIPetstore.Model Methods parseJSON :: Value -> Parser OuterEnum parseJSONList :: Value -> Parser [OuterEnum]
FromHttpApiData OuterEnum Source # |
Instance details Defined in OpenAPIPetstore.Model Methods parseUrlPiece :: Text -> Either Text OuterEnum parseHeader :: ByteString -> Either Text OuterEnum parseQueryParam :: Text -> Either Text OuterEnum
ToHttpApiData OuterEnum Source # |
Instance details Defined in OpenAPIPetstore.Model Methods toUrlPiece :: OuterEnum -> Text toEncodedUrlPiece :: OuterEnum -> Builder toHeader :: OuterEnum -> ByteString toQueryParam :: OuterEnum -> Text
MimeRender MimeMultipartFormData OuterEnum Source # |
Instance details Defined in OpenAPIPetstore.Model Methods mimeRender :: Proxy MimeMultipartFormData -> OuterEnum -> ByteString Source # mimeRender' :: MimeMultipartFormData -> OuterEnum -> ByteString Source #

fromOuterEnum :: OuterEnum -> Text Source #

unwrap `OuterEnum` enum

toOuterEnum :: Text -> Either String OuterEnum Source #

parse `OuterEnum` enum

# Auth Methods

## AuthApiKeyApiKey

data AuthApiKeyApiKey Source #

Constructors

AuthApiKeyApiKey Text | secret

#### Instances

Instances details

Eq AuthApiKeyApiKey Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: AuthApiKeyApiKey -> AuthApiKeyApiKey -> Bool # (/=) :: AuthApiKeyApiKey -> AuthApiKeyApiKey -> Bool #
Show AuthApiKeyApiKey Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> AuthApiKeyApiKey -> ShowS # show :: AuthApiKeyApiKey -> String # showList :: [AuthApiKeyApiKey] -> ShowS #
AuthMethod AuthApiKeyApiKey Source # |
Instance details Defined in OpenAPIPetstore.Model Methods applyAuthMethod :: OpenAPIPetstoreConfig -> AuthApiKeyApiKey -> OpenAPIPetstoreRequest req contentType res accept -> IO (OpenAPIPetstoreRequest req contentType res accept) Source #

## AuthApiKeyApiKeyQuery

data AuthApiKeyApiKeyQuery Source #

Constructors

AuthApiKeyApiKeyQuery Text | secret

#### Instances

Instances details

Eq AuthApiKeyApiKeyQuery Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: AuthApiKeyApiKeyQuery -> AuthApiKeyApiKeyQuery -> Bool # (/=) :: AuthApiKeyApiKeyQuery -> AuthApiKeyApiKeyQuery -> Bool #
Show AuthApiKeyApiKeyQuery Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> AuthApiKeyApiKeyQuery -> ShowS # show :: AuthApiKeyApiKeyQuery -> String # showList :: [AuthApiKeyApiKeyQuery] -> ShowS #
AuthMethod AuthApiKeyApiKeyQuery Source # |
Instance details Defined in OpenAPIPetstore.Model Methods applyAuthMethod :: OpenAPIPetstoreConfig -> AuthApiKeyApiKeyQuery -> OpenAPIPetstoreRequest req contentType res accept -> IO (OpenAPIPetstoreRequest req contentType res accept) Source #

## AuthBasicHttpBasicTest

data AuthBasicHttpBasicTest Source #

Constructors

AuthBasicHttpBasicTest ByteString ByteString | username password

#### Instances

Instances details

Eq AuthBasicHttpBasicTest Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: AuthBasicHttpBasicTest -> AuthBasicHttpBasicTest -> Bool # (/=) :: AuthBasicHttpBasicTest -> AuthBasicHttpBasicTest -> Bool #
Show AuthBasicHttpBasicTest Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> AuthBasicHttpBasicTest -> ShowS # show :: AuthBasicHttpBasicTest -> String # showList :: [AuthBasicHttpBasicTest] -> ShowS #
AuthMethod AuthBasicHttpBasicTest Source # |
Instance details Defined in OpenAPIPetstore.Model Methods applyAuthMethod :: OpenAPIPetstoreConfig -> AuthBasicHttpBasicTest -> OpenAPIPetstoreRequest req contentType res accept -> IO (OpenAPIPetstoreRequest req contentType res accept) Source #

## AuthOAuthPetstoreAuth

data AuthOAuthPetstoreAuth Source #

Constructors

AuthOAuthPetstoreAuth Text | secret

#### Instances

Instances details

Eq AuthOAuthPetstoreAuth Source # |
Instance details Defined in OpenAPIPetstore.Model Methods (==) :: AuthOAuthPetstoreAuth -> AuthOAuthPetstoreAuth -> Bool # (/=) :: AuthOAuthPetstoreAuth -> AuthOAuthPetstoreAuth -> Bool #
Show AuthOAuthPetstoreAuth Source # |
Instance details Defined in OpenAPIPetstore.Model Methods showsPrec :: Int -> AuthOAuthPetstoreAuth -> ShowS # show :: AuthOAuthPetstoreAuth -> String # showList :: [AuthOAuthPetstoreAuth] -> ShowS #
AuthMethod AuthOAuthPetstoreAuth Source # |
Instance details Defined in OpenAPIPetstore.Model Methods applyAuthMethod :: OpenAPIPetstoreConfig -> AuthOAuthPetstoreAuth -> OpenAPIPetstoreRequest req contentType res accept -> IO (OpenAPIPetstoreRequest req contentType res accept) Source #